<?php
	// Get Open Tasks Count
	$openTasks = "SELECT
					*,
					UNIX_TIMESTAMP(taskDue) AS orderDate
				FROM
					tasks
				WHERE
					assignedTo = ".$tz_userId." AND
					isClosed = 0
				ORDER BY orderDate
				LIMIT 4";
	$tasksres = mysqli_query($mysqli, $openTasks) or die('Error getting Footer Tasks Count' . mysqli_error());
?>
	<div class="container-fluid footer">
		<div class="container footer-widgets">
			<div class="row">
				<div class="col-md-3 col-border-right">
					<div class="widget col-padding calendar-widget">
						<div class="cal-widget"></div>
					</div>
				</div>
				<div class="col-md-5 col-border-both">
					<div class="widget col-padding tasks-widget">
						<h3><?php echo $openTasksH3; ?></h3>
						<div class="list-group">
							<?php
								if(mysqli_num_rows($tasksres) > 0) {
									while ($row = mysqli_fetch_assoc($tasksres)) {
							?>
									<a href="index.php?page=viewTask&taskId=<?php echo $row['taskId']; ?>" class="list-group-item tasks-lists">
										<h4 class="list-group-item-heading"><?php echo clean($row['taskTitle']); ?></h4>
										<p class="list-group-item-text">
											<?php echo $priorityText; ?>: <?php echo clean($row['taskPriority']); ?><span> |
											</span><?php echo $statusText; ?>: <?php echo clean($row['taskStatus']); ?><span> |
											</span><?php echo $dueText; ?>: <?php echo dateFormat($row['taskDue']); ?>
										</p>
									</a>
							<?php
									}
								} else {
							?>
								<a href="index.php?page=newTask" class="list-group-item tasks-lists">
									<h4 class="list-group-item-heading"><?php echo $noOpenTasksMsg; ?></h4>
								</a>
							<?php } ?>
						</div>
					</div>
				</div>
				<div class="col-md-4 col-border-left">
					<div class="widget col-padding weather-widget">
						<div class="dateTime">
							<div class="day"><?php echo date('j'); ?></div>
							<div class="monthYear">
								<?php echo $monthName.' '.date('Y'); ?><br />
								<span><?php echo $dayName; ?></span>
							</div>
						</div>
						<hr class="clearfix" />
						<?php if ($tz_userLoc != '') { $widgetLoc = $tz_userLoc; } else { $widgetLoc = $set['weatherLoc']; } ?>
						<input id="weatherLoc" type="hidden" value="<?php echo $widgetLoc; ?>" />
						<div id="weather"></div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="container-fluid footerBar">
		<div class="container">
			<div class="row">
				<div class="col-md-6">
					<div class="copyright">
						<p>
							<?php echo $footerLink1; ?><br />
							<i class="fa fa-copyright"></i> <?php echo date('Y'); ?> <?php echo $footerLink2; ?>
						</p>
					</div>
				</div>
				<div class="col-md-6">
					<div class="pull-right">
						<ul class="list-inline footer-nav">
							<li><a href="index.php"><?php echo $footerNav1; ?></a></li>
							<li><a href="index.php?page=calendar"><?php echo $footerNav2; ?></a></li>
							<li><a href="index.php?page=tasks"><?php echo $footerNav3; ?></a></li>
							<li><a href="index.php?page=messages"><?php echo $footerNav4; ?></a></li>
							<li><a href="index.php?page=myProfile"><?php echo $footerNav5; ?></a></li>
							<li><a data-toggle="modal" href="#signOut"><?php echo $footerNav6; ?></a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>

	<?php if (isset($fullCalendar)) { echo '<script type="text/javascript" src="js/moment.min.js"></script>'; } ?>
	<script type="text/javascript" src="js/jquery.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
	<?php
		if (isset($chosen)) {
			echo '
					<script type="text/javascript" src="js/chosen.jquery.min.js"></script>
					<script type="text/javascript" src="js/chosen.js"></script>
				';
		}
	?>
	<?php
		if (isset($fullCalendar)) {
			echo '
				<script type="text/javascript" src="js/fullcalendar.js"></script>
				<script type="text/javascript" src="js/lang-all.js"></script>
			';
		}
	?>
	<script type="text/javascript" src="js/simpleWeather.min.js"></script>
	<script type="text/javascript" src="js/simpleWeather.js"></script>
	<script type="text/javascript" src="js/simpleCalendar.js"></script>
	<script type="text/javascript" src="js/custom.js"></script>
	<script type="text/javascript" src="js/timeclock.js"></script>
	<?php
		if (isset($dataTables)) {
			echo '
				<script type="text/javascript" src="js/dataTables.js"></script>
				<script type="text/javascript" src="js/tableTools.js"></script>
			';
			include('js/tableTools.php');
		}
	?>
	<?php if (isset($datePicker)) { echo '<script type="text/javascript" src="js/datetimepicker.js"></script>'; } ?>
	<?php if (isset($jsFile)) { echo '<script type="text/javascript" src="js/includes/'.$jsFile.'.js"></script>'; } ?>
</body>
</html>