<?php
/*
 * Localizations specific to the Time Clock.
 * Only translate Lines 67 - Clocked In and 81 - Clocked Out.
 *
 * If you have any questions at all about this file, please contact me through my Support Center:
 * http://jennperrin.com/support/
 */

	// Access DB Info
	include('../config.php');

	// Start Sessions
	if(!isset($_SESSION))session_start();

	// Include Functions
	include('../includes/functions.php');

	// Get the Logged In User's ID & Name
	$tz_userId = $_SESSION['tz']['userId'];
	$tz_userFull = $_SESSION['tz']['userFirst'].' '.$_SESSION['tz']['userLast'];

	// Get the POST data
	$timeId = htmlspecialchars($_POST['timeId']);
	$weekNo = htmlspecialchars($_POST['weekNo']);
	$clockYear = htmlspecialchars($_POST['clockYear']);
	$running = htmlspecialchars($_POST['running']);

	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];
	
	// Get the current date/time
	$curDateTime = date("Y-m-d H:i:s");

	if ($timeId == '') {
		// A time record does not exists. Start the Time Clock - Add a new time entry
		$stmt = $mysqli->prepare("
							INSERT INTO
								timelogs(
									userId,
									weekNo,
									clockYear,
									entryDate,
									startTime,
									entryType,
									lastUpdated,
									ipAddress
								) VALUES (
									?,
									?,
									?,
									?,
									?,
									1,
									?,
									?
								)
		");
		$stmt->bind_param('sssssss',
							$tz_userId,
							$weekNo,
							$clockYear,
							$curDateTime,
							$curDateTime,
							$curDateTime,
							$actIp
		);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '4';
		$activityTitle = $tz_userFull.' Clocked In';
		updateActivity($tz_userId,$activityType,$activityTitle);

		$datares = 1;
		echo json_encode($datares);
	} else {
		// A time record exists. Stop the Time Clock - Update the time entry
		$stmt = $mysqli->prepare("UPDATE timelogs SET endTime = ? WHERE timeId = ?");
		$stmt->bind_param('ss',$curDateTime,$timeId);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '5';
		$activityTitle = $tz_userFull.' Clocked Out';
		updateActivity($tz_userId,$activityType,$activityTitle);

		$datares = 0;
		echo json_encode($datares);
	}