<?php
	// Check if install.php is present
	if(is_dir('install')) {
		header("Location: install/install.php");
	} else {
		if(!isset($_SESSION)) session_start();

		if (!isset($_SESSION['tz']['userId'])) {
			header ('Location: sign-in.php');
			exit;
		}

		// Access DB Info
		include('config.php');

		// Get Settings Data
		include ('includes/settings.php');
		$set = mysqli_fetch_assoc($setRes);

		// Include Functions
		include('includes/functions.php');

		// Include Sessions & Localizations
		include('includes/sessions.php');

		// Logout
		if (isset($_GET['action']) && $_GET['action'] == 'logout') {
			// Add Recent Activity
			$activityType = '2';
			$activityTitle = $tz_userFull.' '.$signOutAct;
			updateActivity($tz_userId,$activityType,$activityTitle);

			session_destroy();
			header ('Location: sign-in.php');
		}

		// Set Week Day Name
		$theDay = date('l');
		switch ($theDay) {
			case 'Sunday':		$dayName = $sunText;	break;
			case 'Monday':		$dayName = $monText;	break;
			case 'Tuesday':		$dayName = $tueText;	break;
			case 'Wednesday':	$dayName = $wedText;	break;
			case 'Thursday':	$dayName = $thuText;	break;
			case 'Friday':		$dayName = $friText;	break;
			case 'Saturday':	$dayName = $satText;	break;
		}

		// Set Month Name
		$theMonth = date('F');
		switch ($theMonth) {
			case 'January':		$monthName = $janText;	break;
			case 'February':	$monthName = $febText;	break;
			case 'March':		$monthName = $marText;	break;
			case 'April':		$monthName = $aprText;	break;
			case 'May':			$monthName = $mayText;	break;
			case 'June':		$monthName = $junText;	break;
			case 'July':		$monthName = $julText;	break;
			case 'August':		$monthName = $augText;	break;
			case 'September':	$monthName = $septText;	break;
			case 'October':		$monthName = $octText;	break;
			case 'November':	$monthName = $novText;	break;
			case 'December':	$monthName = $decText;	break;
		}

		// Link to the Page
		if (isset($_GET['page']) && $_GET['page'] == 'myProfile') {					$page = 'myProfile';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'calendar') {			$page = 'calendar';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'openTasks') {			$page = 'openTasks';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'closedTasks') {		$page = 'closedTasks';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'newTask') {			$page = 'newTask';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'viewTask') {			$page = 'viewTask';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'messages') {			$page = 'messages';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'viewReceived') {		$page = 'viewReceived';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'viewSent') {			$page = 'viewSent';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'sent') {				$page = 'sent';				// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'archived') {			$page = 'archived';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'compose') {			$page = 'compose';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'mySchedule') {			$page = 'mySchedule';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'myTime') {				$page = 'myTime';			// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'timeDetail') {			$page = 'timeDetail';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'myDocuments') {		$page = 'myDocuments';		// All Users
		} else if (isset($_GET['page']) && $_GET['page'] == 'userStatus') {			$page = 'userStatus';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'activeUsers') {		$page = 'activeUsers';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'inactiveUsers') {		$page = 'inactiveUsers';	// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'viewUser') {			$page = 'viewUser';			// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'newUser') {			$page = 'newUser';			// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'userAuths') {			$page = 'userAuths';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'userReports') {		$page = 'userReports';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'userRpt') {			$page = 'userRpt';			// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'timeReports') {		$page = 'timeReports';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'timeRpt') {			$page = 'timeRpt';			// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'timeEditRpt') {		$page = 'timeEditRpt';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'activityReports') {	$page = 'activityReports';	// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'mngSchedules') {		$page = 'mngSchedules';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'mngTasks') {			$page = 'mngTasks';			// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'manageTask') {			$page = 'manageTask';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'mngTimecards') {		$page = 'mngTimecards';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'timecardDetail') {		$page = 'timecardDetail';	// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'mngNotices') {			$page = 'mngNotices';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'viewNotice') {			$page = 'viewNotice';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'mngDocuments') {		$page = 'mngDocuments';		// Admins/Managers Only
		} else if (isset($_GET['page']) && $_GET['page'] == 'mngSettings') {		$page = 'mngSettings';		// Admins/Managers Only
		} else {																	$page = 'dashboard';}		// All Users

		if (file_exists('pages/'.$page.'.php')) {
			// Load the Page
			include('pages/'.$page.'.php');
		} else {
			$pageTitle = $pageNotFoundHeader;

			include('includes/header.php');

			// Else Display an Error
			echo '
					<div class="container-fluid">
						<div class="container">
							<div class="row pageCont">
								<div class="col-md-12">
									<div class="alertMsg warning mt-20">
										<div class="msgIcon pull-left">
											<i class="fa fa-warning"></i>
										</div>
										'.$pageNotFoundQuip.'
									</div>
								</div>
							</div>
						</div>
					</div>
				';
		}

		include('includes/footer.php');
	}
?>