CREATE TABLE IF NOT EXISTS `activity` (
  `activityId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `activityType` int(2) DEFAULT NULL,
  `activityTitle` text,
  `activityDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`activityId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `appauthdesc` (
  `authFlag` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `flagDesc` varchar(255) DEFAULT NULL,
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`authFlag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `appauthdesc` (`authFlag`, `flagDesc`, `lastUpdated`) VALUES
('MNGUSR', 'Manage Users', '2015-08-01 22:57:43'),
('EDITTIME', 'Edit Time Entries', '2015-08-01 22:57:43'),
('MNGSCHED', 'Manage Schedules', '2015-08-01 22:57:43'),
('MNGTASKS', 'Manage Tasks', '2015-08-01 22:57:43'),
('MNGTIMECAR', 'Manage Time Cards', '2015-08-01 22:57:43'),
('APPAUTH', 'Application Authorizations', '2015-08-01 22:57:43'),
('SITENOTES', 'Manage Site Notices', '2015-08-01 22:57:43'),
('USRRPT', 'User Report Access', '2015-08-01 22:57:43'),
('TIMERPT', 'Time Report Access', '2015-08-01 22:57:43'),
('MNGUSRDOCS', 'Manage User Documents', '2015-08-01 22:57:43'),
('SITESET', 'Manage/Update Site Settings', '2015-08-01 22:57:43'),
('SITELOGS', 'View/Delete Site Logs', '2015-08-01 22:57:43');

CREATE TABLE IF NOT EXISTS `appauths` (
  `appauthId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `authFlag` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `authDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`appauthId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `events` (
  `eventId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `createdBy` int(5) DEFAULT '0',
  `isPublic` int(1) DEFAULT '0',
  `allDay` int(1) DEFAULT '0',
  `repeatId` int(10) DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `startTime` time DEFAULT NULL,
  `endDate` date DEFAULT NULL,
  `endTime` time DEFAULT NULL,
  `eventTitle` varchar(50) DEFAULT NULL,
  `eventDesc` longtext,
  `url` varchar(255) DEFAULT NULL,
  `eventColor` varchar(7) DEFAULT '#c0392b',
  `backgroundColor` varchar(7) DEFAULT '#ffffff',
  `textColor` varchar(7) DEFAULT '#ffffff',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`eventId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `notices` (
  `noticeId` int(5) NOT NULL AUTO_INCREMENT,
  `createdBy` int(5) DEFAULT '0',
  `adminOnly` int(1) DEFAULT '0',
  `isActive` int(1) DEFAULT '1',
  `noticeTitle` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `noticeText` longtext CHARACTER SET utf8 COLLATE utf8_bin,
  `noticeDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `noticeStart` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `noticeExpires` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`noticeId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `privatemessages` (
  `messageId` int(5) NOT NULL AUTO_INCREMENT,
  `fromId` int(5) DEFAULT '0',
  `toId` int(5) DEFAULT NULL,
  `origId` int(5) DEFAULT '0',
  `messageTitle` varchar(50) DEFAULT NULL,
  `messageText` text CHARACTER SET utf8 COLLATE utf8_bin,
  `messageDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `toRead` int(1) DEFAULT '0',
  `toArchived` int(1) DEFAULT '0',
  `toDeleted` int(1) DEFAULT '0',
  `fromDeleted` int(1) DEFAULT '0',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`messageId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `schedule` (
  `schedId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `createdBy` int(5) DEFAULT '0',
  `startDate` date DEFAULT NULL,
  `startTime` time DEFAULT NULL,
  `endDate` date DEFAULT NULL,
  `endTime` time DEFAULT NULL,
  `schedTitle` varchar(50) DEFAULT NULL,
  `schedDesc` longtext,
  `schedColor` varchar(7) DEFAULT '#e9e6e1',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`schedId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `sitesettings` (
  `installUrl` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `siteQuip` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `siteEmail` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `businessName` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `businessAddress` text,
  `businessPhone` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `contactPhone` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `localization` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'english',
  `calLocalization` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'en',
  `avatarFolder` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'avatars/',
  `userDocsPath` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'docs/',
  `avatarTypesAllowed` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'jpg,png',
  `fileTypesAllowed` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'jpg,png,gif,txt,pdf,xls,xlsx,doc,docx,zip,rar',
  `weatherLoc` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'Washington, DC',
  `weekStart` int(1) DEFAULT '0',
  `enableSchedule` int(1) DEFAULT '1',
  `enableTimeEdits` int(1) DEFAULT '0',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`installUrl`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `taskfiles` (
  `fileId` int(5) NOT NULL AUTO_INCREMENT,
  `taskId` int(5) NOT NULL DEFAULT '0',
  `uploadedBy` int(5) NOT NULL DEFAULT '0',
  `fileName` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `fileUrl` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `uploadDate` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`fileId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `tasks` (
  `taskId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `assignedTo` int(5) DEFAULT '0',
  `taskTitle` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `taskDesc` longtext CHARACTER SET utf8 COLLATE utf8_bin,
  `taskNotes` longtext CHARACTER SET utf8 COLLATE utf8_bin,
  `taskPriority` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `taskStatus` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `taskStart` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `taskDue` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `isClosed` int(1) DEFAULT '0',
  `dateClosed` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`taskId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `timelogedits` (
  `editId` int(5) NOT NULL AUTO_INCREMENT,
  `timeId` int(5) DEFAULT '0',
  `userId` int(5) DEFAULT '0',
  `editReason` varchar(50) DEFAULT NULL,
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`editId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `timelogentries` (
  `logId` int(5) NOT NULL AUTO_INCREMENT,
  `timeId` int(5) DEFAULT '0',
  `userId` int(5) DEFAULT '0',
  `manualReason` varchar(50) DEFAULT NULL,
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`logId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `timelogs` (
  `timeId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `weekNo` int(2) unsigned zerofill DEFAULT NULL,
  `clockYear` int(4) DEFAULT NULL,
  `entryDate` date DEFAULT '0000-00-00',
  `startTime` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `endTime` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `entryType` int(5) DEFAULT '1',
  `edited` int(1) DEFAULT '0',
  `lastUpdated` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`timeId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `userdocs` (
  `docId` int(5) NOT NULL AUTO_INCREMENT,
  `userId` int(5) DEFAULT '0',
  `uploadedBy` int(5) DEFAULT '0',
  `docTitle` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `docDesc` text,
  `docUrl` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `uploadDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `ipAddress` varchar(15) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`docId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `users` (
  `userId` int(5) NOT NULL AUTO_INCREMENT,
  `userEmail` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `password` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `userFirst` varchar(255) DEFAULT NULL,
  `userMiddleInt` varchar(2) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `userLast` varchar(255) DEFAULT NULL,
  `location` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'Washington, DC',
  `userFolder` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `userAvatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT 'userAvatar.png',
  `userPhone1` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `userPhone2` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `userPhone3` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `userAddress1` text CHARACTER SET utf8 COLLATE utf8_bin,
  `userAddress2` text CHARACTER SET utf8 COLLATE utf8_bin,
  `userPosition` varchar(255) DEFAULT NULL,
  `userHireDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `createDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `managerId` int(5) DEFAULT '0',
  `hash` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `superUser` int(1) DEFAULT '0',
  `isAdmin` int(5) DEFAULT '0',
  `isActive` int(1) DEFAULT '0',
  `lastVisited` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `terminationDate` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `terminationReason` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`userId`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
