$(document).ready( function () {
	var langCode			= $('#langCode').val();
	var dayStart			= $('#dayStart').val();
	var schedForText		= $('#schedForText').val();
	var addedByText			= $('#addedByText').val();
	var dnldTemplateText	= $('#dnldTemplateText').val();
	var uplSchedText		= $('#uplSchedText').val();
	var editSchedText		= $('#editSchedText').val();

	$('#calendar').fullCalendar({
        header: {
			left: 'prev,next today',
			center: 'title',
			right: 'month,agendaWeek'
		},
		lang: langCode,
		firstDay: dayStart,
		eventLimit: true,
		eventSources: [
			'includes/mngSchedules.php',
		],
		eventClick: function(event) {
			var eventDates,
				eventTime,
				eventDesc;

			if (event.description !== null) {
				eventDesc = event.description;
			} else {
				eventDesc = '';
			}

			if (event.startTime !== null) {
				eventTime = event.startTime+' &mdash; '+event.endTime;
			} else {
				eventTime = '';
			}

			// Schedule Details Modal
			$('#modalTitle').html(schedForText+' '+event.usersName);
            $('#schedDescription').html(eventDesc);
            $('#schedTimes').html(eventTime);
            $('#createdBy').html(addedByText+' '+event.createdBy);
			$('#fullCalModal').modal();

			// Delete Schedule Modal
			$('#deleteTitle').html(event.usersName);
			$('#delTitle').val(event.usersName);
			$('#deleteId').val(event.schedId);

			// Edit Schedule Modal
			$('#editTitle').html(editSchedText+' '+event.usersName);
			$('#editId').val(event.schedId);
			$('#eTitle').val(event.usersName);
			$('#startTime').val(event.shiftStart);
			$('#endTime').val(event.shiftEnd);
			$('#eDesc').val(event.description);
		},
		selectable: true,
		select: function(start) {
			var eventData;
			eventData = {
				start: start
			};
			// Add a Shift Modal
			$('#addTimes').modal();
			$('#schedDay').val(start.format());
			$('#calendar').fullCalendar('unselect');
		},
		loading: function(bool) {
			$('#loading').toggle(bool);
		}
	});

	$('.fc-month-button').before('<a href="#uplSched" data-toggle="modal" class="fc-button fc-state-default fc-state-new">'+uplSchedText+'</a>');

	$('input[name="startTime"]').datetimepicker({
		format: 'hh:ii',
		todayBtn:  0,
		autoclose: 1,
		todayHighlight: 1,
		startView: 1,
		forceParse: 0,
		minuteStep: 15,
		weekStart: dayStart
	});
	$('input[name="endTime"]').datetimepicker({
		format: 'hh:ii',
		todayBtn:  0,
		autoclose: 1,
		todayHighlight: 1,
		startView: 1,
		forceParse: 0,
		minuteStep: 15,
		weekStart: dayStart
	});
});