<?php
	// Delete Logs
	if (isset($_POST['submit']) && $_POST['submit'] == 'deleteLogs') {
		// Delete the logs
		$stmt = $mysqli->prepare("DELETE FROM activity");
		$stmt->execute();
		$stmt->close();

		// Reset the activityId to 1
		$stmt = $mysqli->prepare("ALTER TABLE activity AUTO_INCREMENT = 1");
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '6';
		$activityTitle = $tz_userFull.' '.$delActLogsAct;
		updateActivity($tz_userId,$activityType,$activityTitle);

		$msgBox = alertBox($delActLogsMsg, "<i class='fa fa-check-square'></i>", "success");
	}

	// Get Data
	$sql = "SELECT
				activity.*,
				CONCAT(users.userFirst,' ',users.userLast) AS activityBy
			FROM
				activity
				LEFT JOIN users ON activity.userId = users.userId";
	$res = mysqli_query($mysqli, $sql) or die('-1' . mysqli_error());

	$rptPage = 'true';
	$pageTitle = $activityReportsPageTitle;
	$addCss = '<link href="css/dataTables.css" rel="stylesheet">';
	$dataTables = 'true';
	$jsFile = 'activityReports';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php
						if ((checkArray('SITELOGS', $auths)) || $tz_superUser != '') {
							if ($msgBox) { echo $msgBox; }
					?>

							<a href="#deleteLogs" data-toggle="modal" class="btn btn-hover btn-warning btn-xs btn-icon pull-right"><i class="fa fa-trash"></i><span><?php echo $delSiteLogsBtn; ?></span></a>

							<div class="modal fade" id="deleteLogs" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog">
									<div class="modal-content">
										<form action="" method="post">
											<div class="modal-body">
												<p class="lead mt-0"><?php echo $delSiteLogsConf; ?></p>
											</div>
											<div class="modal-footer">
												<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
												<button type="input" name="submit" value="deleteLogs" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
											</div>
										</form>
									</div>
								</div>
							</div>
							<div class="clearfix"></div>
							<hr />

							<?php if(mysqli_num_rows($res) > 0) { ?>
								<table id="activity" class="display" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th><?php echo $idTh; ?></th>
											<th><?php echo $activityByTh; ?></th>
											<th><?php echo $activityTh; ?></th>
											<th><?php echo $descTh; ?></th>
											<th class="text-center"><?php echo $activityDateTh; ?></th>
											<th class="text-center"><?php echo $ipAddressTh; ?></th>
										</tr>
									</thead>

									<tbody>
										<?php
											while ($row = mysqli_fetch_assoc($res)) {
											$activityType = $typeOther;
											if ($row['activityType'] == '0') { $activityType = '<strong class="text-danger">'.$typeError.'</strong>'; }
											if ($row['activityType'] == '1') { $activityType = $typeSignin; }
											if ($row['activityType'] == '2') { $activityType = $typeSignout; }
											if ($row['activityType'] == '3') { $activityType = $typePassReset; }
											if ($row['activityType'] == '4') { $activityType = $typeClockin; }
											if ($row['activityType'] == '5') { $activityType = $typeClockout; }
											if ($row['activityType'] == '6') { $activityType = $typeActLogs; }
											if ($row['activityType'] == '7') { $activityType = $typeCalendar; }
											if ($row['activityType'] == '8') { $activityType = $typeProfile; }
											if ($row['activityType'] == '9') { $activityType = $typeTasks; }
											if ($row['activityType'] == '10') { $activityType = $typeTaskFiles; }
											if ($row['activityType'] == '11') { $activityType = $typeSchedules; }
											if ($row['activityType'] == '12') { $activityType = $typeDocuments; }
											if ($row['activityType'] == '13') { $activityType = $typeMsgs; }
											if ($row['activityType'] == '14') { $activityType = $typeManTime; }
											if ($row['activityType'] == '15') { $activityType = $typeTimeEdits; }
											if ($row['activityType'] == '16') { $activityType = $typeAuthorizations; }
											if ($row['activityType'] == '17') { $activityType = $typeSiteNotices; }
											if ($row['activityType'] == '18') { $activityType = $typeSettings; }
											if ($row['activityType'] == '19') { $activityType = $typeUsrAccounts; }
											if ($row['activityType'] == '20') { $activityType = $typeUsrReports; }
											if ($row['activityType'] == '21') { $activityType = $typeTimeReports; }

											if ($row['ipAddress'] == '::1') {
												$ipAddress = $locHostText;
											} else if ($row['ipAddress'] == '') {
												$ipAddress = '<strong class="text-danger">'.$notSetText.'<strong>';
											} else {
												$ipAddress = $row['ipAddress'];
											}
										?>
											<tr>
												<td><?php echo $row['activityId']; ?></td>
												<td><?php echo clean($row['activityBy']); ?></td>
												<td><?php echo $activityType; ?></td>
												<td><?php echo clean($row['activityTitle']); ?></td>
												<td class="text-center"><?php echo shortDateTimeFormat($row['activityDate']); ?></td>
												<td class="text-center"><?php echo $ipAddress; ?></td>
											</tr>
										<?php } ?>
									</tbody>
								</table>
							<?php
								}
							?>
					<?php } else { ?>
						<div class="alertMsg danger">
							<div class="msgIcon pull-left">
								<i class="fa fa-ban"></i>
							</div>
							<?php echo $accessErrorMsg; ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>