<?php
	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	// Add a New Task
	if (isset($_POST['submit']) && $_POST['submit'] == 'newDate') {
		// User Validations
		if($_POST['startDate'] == '') {
			$msgBox = alertBox($eventStartDateReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['endDate'] == '') {
			$msgBox = alertBox($eventEndDateReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['eventTitle'] == '') {
			$msgBox = alertBox($eventTitleReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			if ($tz_isAdmin == '1') {
				$isPublic = htmlspecialchars($_POST['isPublic']);
			} else {
				$isPublic = '0';
			}

			$startDate = htmlspecialchars($_POST['startDate']);
			$endDate = htmlspecialchars($_POST['endDate']);
			$eventTitle = htmlspecialchars($_POST['eventTitle']);
			$eventColor = htmlspecialchars($_POST['colorPick']);

			if ($startDate != $endDate) {
				$endDate = date('Y-m-d',date(strtotime("+1 day", strtotime($endDate))));
			} else {
				$endDate = $endDate;
			}

			if($_POST['eventTime'] == '') {
				$startTime = null;
			} else {
				$startTime = htmlspecialchars($_POST['eventTime']);
			}

			if($_POST['endTime'] == '') {
				$endTime = null;
			} else {
				$endTime = htmlspecialchars($_POST['endTime']);
			}

			if (is_null($startTime) && is_null($endTime)) {
				$allDay = '1';
			} else {
				$allDay = '0';
			}

			if($_POST['eventDesc'] == '') {
				$eventDesc = null;
			} else {
				$eventDesc = htmlspecialchars($_POST['eventDesc']);
			}

			$repeatId = $url = null;
			$backgroundColor = $textColor = '#ffffff';

			$stmt = $mysqli->prepare("
								INSERT INTO
									events(
										userId,
										createdBy,
										isPublic,
										allDay,
										repeatId,
										startDate,
										startTime,
										endDate,
										endTime,
										eventTitle,
										eventDesc,
										url,
										eventColor,
										backgroundColor,
										textColor,
										lastUpdated,
										ipAddress
									) VALUES (
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										NOW(),
										?
									)
			");
			$stmt->bind_param('ssssssssssssssss',
								$tz_userId,
								$tz_userId,
								$isPublic,
								$allDay,
								$repeatId,
								$startDate,
								$startTime,
								$endDate,
								$endTime,
								$eventTitle,
								$eventDesc,
								$url,
								$eventColor,
								$backgroundColor,
								$textColor,
								$actIp
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '7';
			$activityTitle = $tz_userFull.' '.$newEventAct.' "'.$eventTitle.'"';
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($newEventMsg1." \"".$eventTitle."\" ".$newEventMsg2, "<i class='fa fa-check-square'></i>", "success");

			// Clear the Form of values
			$_POST['startDate'] = $_POST['eventTime'] = $_POST['endDate'] = $_POST['endTime'] = $_POST['eventTitle'] = $_POST['eventDesc'] = '';
		}
	}

	// Delete Event
	if (isset($_POST['submit']) && $_POST['submit'] == 'deleteEvent') {
		$deleteId = htmlspecialchars($_POST['deleteId']);
		$delTitle = htmlspecialchars($_POST['delTitle']);

		$stmt = $mysqli->prepare("DELETE FROM events WHERE eventId = ?");
		$stmt->bind_param('s', $deleteId);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '7';
		$activityTitle = $tz_userFull.' '.$delEventAct.' "'.$delTitle.'"';
		updateActivity($tz_userId,$activityType,$activityTitle);

		$msgBox = alertBox($delEventMsg1." \"".$delTitle."\" ".$delEventMsg2, "<i class='fa fa-check-square'></i>", "success");

		// Clear the Form of values
		$_POST['delTitle'] = '';
	}

	// Edit Event
	if (isset($_POST['submit']) && $_POST['submit'] == 'editEvent') {
		// User Validations
		if($_POST['eventTitle'] == '') {
			$msgBox = alertBox($eventTitleReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$eventTitle = htmlspecialchars($_POST['eventTitle']);
			$eventDescription = htmlspecialchars($_POST['eventDescription']);
			$editId = htmlspecialchars($_POST['editId']);

			$stmt = $mysqli->prepare("UPDATE
										events
									SET
										eventTitle = ?,
										eventDesc = ?,
										lastUpdated = NOW(),
										ipAddress = ?
									WHERE
										eventId = ?"
			);
			$stmt->bind_param('ssss',
									$eventTitle,
									$eventDescription,
									$actIp,
									$editId
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '7';
			$activityTitle = $tz_userFull.' '.$editEventAct.' "'.$eventTitle.'"';
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($delEventMsg1." \"".$eventTitle."\" ".$editEventMsg, "<i class='fa fa-check-square'></i>", "success");

			// Clear the Form of values
			$_POST['eventTitle'] = $_POST['eventDescription'] = '';
		}
    }

	$calPage = 'true';
	$pageTitle = $calendarPageTitle;
	$addCss = '<link rel="stylesheet" type="text/css" href="css/datetimepicker.css" /><link rel="stylesheet" type="text/css" href="css/fullcalendar.css" />';
	$datePicker = 'true';
	$fullCalendar = 'true';
	$calInclude = 'true';
	$jsFile = 'calendar';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php if ($msgBox) { echo $msgBox; } ?>

					<input type="hidden" id="langCode" value="<?php echo $calLanguage; ?>" />
					<input type="hidden" id="theUser" value="<?php echo $tz_userId; ?>" />
					<input type="hidden" id="noDesc" value="No Event Description available." />

					<div id="loading">
						<span class="loader"></span><span class="loader"></span><span class="loader"></span><span class="loader"></span><span class="loader"></span>
					</div>

					<div id="calendar"></div>

					<div id="fullCalModal" class="modal fade">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
									<h4 id="modalTitle" class="modal-title"></h4>
								</div>
								<form action="" method="post">
									<div id="modalBody" class="modal-body">
										<span id="eventTimes" class="label"></span>
										<span id="createdBy" class="label"></span>
										<p id="eventDescription" class="lead mt-10 mb-0"></p>
									</div>
									<div class="modal-footer">
										<input type="hidden" name="fileName" value="" />
										<a href="#deleteEvent" id="delBtn" data-toggle="modal" data-dismiss="modal" class="btn btn-danger btn-sm btn-icon pull-left"><i class="fa fa-trash"></i> <?php echo $delEventBtn; ?></a>
										<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $closeBtn; ?></button>
										<a href="#editEvent" id="editBtn" data-toggle="modal" data-dismiss="modal" class="btn btn-info btn-sm btn-icon"><i class="fa fa-edit"></i> <?php echo $editEventBtn; ?></a>
									</div>
								</form>
							</div>
						</div>
					</div>

					<div class="modal fade" id="deleteEvent" tabindex="-1" role="dialog" aria-hidden="true">
						<div class="modal-dialog">
							<div class="modal-content">
								<form action="" method="post">
									<div class="modal-body">
										<p class="lead"><?php echo $delEventConf; ?> <span id="deleteTitle"></span>?</p>
									</div>
									<div class="modal-footer">
										<input type="hidden" name="delTitle" id="delTitle" value="" />
										<input type="hidden" name="deleteId" id="deleteId" value="" />
										<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
										<button type="input" name="submit" value="deleteEvent" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
									</div>
								</form>
							</div>
						</div>
					</div>

					<div class="modal fade" id="editEvent" tabindex="-1" role="dialog" aria-hidden="true">
						<div class="modal-dialog modal-lg">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
									<h4 id="editTitle" class="modal-title"></h4>
								</div>
								<form action="" method="post">
									<div class="modal-body">
										<p><?php echo $editEventQuip; ?></p>
										<div class="form-group">
											<label for="eTitle"><?php echo $eventTitleField; ?></label>
											<input type="text" class="form-control" name="eventTitle" id="eTitle" required="required" maxlength="50" value="" />
										</div>
										<div class="form-group">
											<label for="eDesc"><?php echo $eventDescField; ?></label>
											<textarea class="form-control" name="eventDescription" id="eDesc" rows="5"></textarea>
										</div>
									</div>
									<div class="modal-footer">
										<input type="hidden" name="editId" id="editId" value="" />
										<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
										<button type="input" name="submit" value="editEvent" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveChangesBtn; ?></button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>

				<div class="modal fade" id="newDate" tabindex="-1" role="dialog" aria-hidden="true">
					<div class="modal-dialog modal-lg">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
								<h4 class="modal-title"><?php echo $newDateH4; ?></h4>
							</div>
							<form action="" method="post">
								<div class="modal-body">
									<?php if ($tz_isAdmin == '1') { ?>
										<div class="row">
											<div class="col-md-6">
												<div class="form-group">
													<label for="isPublic"><?php echo $eventTypeField; ?></label>
													<select class="form-control" name="isPublic" id="isPublic">
														<option value="0"><?php echo $privateSelOpt; ?></option>
														<option value="1"><?php echo $publicSelOpt; ?></option>
													</select>
													<span class="help-block"><?php echo $eventTypeFieldHelp; ?></span>
												</div>
											</div>
										</div>
									<?php } ?>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label for="startDate"><?php echo $startDateField; ?></label>
												<input type="text" class="form-control" name="startDate" id="newstartDate" required="" value="<?php echo isset($_POST['startDate']) ? $_POST['startDate'] : ''; ?>" />
												<span class="help-block"><?php echo $dateFormatHelp; ?></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label for="eventTime"><?php echo $startTimeField; ?></label>
												<input type="text" class="form-control" name="eventTime" id="neweventTime" value="<?php echo isset($_POST['eventTime']) ? $_POST['eventTime'] : ''; ?>" />
												<span class="help-block"><?php echo $startTimeFieldHelp; ?></span>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label for="endDate"><?php echo $endDateField; ?></label>
												<input type="text" class="form-control" name="endDate" id="newendDate" required="" value="<?php echo isset($_POST['endDate']) ? $_POST['endDate'] : ''; ?>" />
												<span class="help-block"><?php echo $dateFormatHelp; ?></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label for="endTime"><?php echo $endTimeField; ?></label>
												<input type="text" class="form-control" name="endTime" id="newendTime" value="<?php echo isset($_POST['endTime']) ? $_POST['endTime'] : ''; ?>" />
												<span class="help-block"><?php echo $startTimeFieldHelp; ?></span>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label for="eventTitle"><?php echo $eventTitleField; ?></label>
												<input type="text" class="form-control" name="eventTitle" required="" value="<?php echo isset($_POST['eventTitle']) ? $_POST['eventTitle'] : ''; ?>" />
												<span class="help-block"><?php echo $eventTitleFieldHelp; ?></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label for="colorPick"><?php echo $selectColorField; ?></label><br />
												<input type="radio" name="colorPick" id="primary" class="34485f" value="#34485f" />
												<label for="primary" class="primary"><i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="primary2" class="556c83" value="#556c83" />
												<label for="primary2" class="primary2"><i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="info" class="3398db" value="#3398db" />
												<label for="info" class="info"><i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="info2" class="49a3df" value="#68acdc" />
												<label for="info2" class="info2"><i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="success" class="148566" value="#148566" />
												<label for="success" class="success"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="success2" class="4ba78c" value="#4ba78c" />
												<label for="success2" class="success2"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="warning" class="ca7428" value="#ca7428" />
												<label for="warning" class="warning"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="warning2" class="e57f22" value="#e57f22" />
												<label for="warning2" class="warning2"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="warning3" class="f66331" value="#f66331" />
												<label for="warning3" class="warning3"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="danger" class="ab3326" value="#ab3326" />
												<label for="danger" class="danger"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="danger2" class="b9584e" value="#b9584e" />
												<label for="danger2" class="danger2"> <i class="fa fa-check"></i></label>

												<input type="radio" name="colorPick" id="danger3" class="f43e3c" value="#f43e3c" />
												<label for="danger3" class="danger3"> <i class="fa fa-check"></i></label>
												<span class="help-block"><?php echo $selectColorFieldHelp; ?></span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="eventDesc"><?php echo $eventDescField; ?></label>
										<textarea class="form-control" name="eventDesc" rows="4"><?php echo isset($_POST['eventDesc']) ? $_POST['eventDesc'] : ''; ?></textarea>
										<span class="help-block"><?php echo $eventDescFieldHelp; ?></span>
									</div>
								</div>
								<div class="modal-footer">

									<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
									<button type="input" name="submit" value="newDate" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveBtn; ?></button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>