<?php
	// Get Open Tasks
	$sql = "SELECT
				tasks.*,
				UNIX_TIMESTAMP(tasks.taskDue) AS orderDate,
				CONCAT(users.userFirst,' ',users.userLast) AS createdBy
			FROM
				tasks
				LEFT JOIN users ON tasks.userId = users.userId
			WHERE
				tasks.assignedTo = ".$tz_userId." AND
				tasks.isClosed = 0
			ORDER BY orderDate";
	$result = mysqli_query($mysqli, $sql) or die('-1' . mysqli_error());

	// Get Inbox Messages
	$query = "SELECT
				privatemessages.*,
				UNIX_TIMESTAMP(privatemessages.messageDate) AS orderDate,
				CONCAT(users.userFirst,' ',users.userLast) AS sentFrom
			FROM
				privatemessages
				LEFT JOIN users ON privatemessages.fromId = users.userId
			WHERE
				privatemessages.toId = ".$tz_userId." AND
				privatemessages.toRead = 0 AND
				privatemessages.toArchived = 0 AND
				privatemessages.toDeleted = 0
			ORDER BY orderDate DESC";
	$results = mysqli_query($mysqli, $query) or die('-2' . mysqli_error());

	// Get Notice Data
	if ($tz_isAdmin == '1') { $admOnly = "'1','0'"; } else { $admOnly = "0"; }
	$qry = "SELECT
				notices.*,
				UNIX_TIMESTAMP(notices.noticeDate) AS orderDate,
				CONCAT(users.userFirst,' ',users.userLast) AS postedBy
			FROM
				notices
				LEFT JOIN users ON notices.createdBy = users.userId
			WHERE
				notices.noticeStart <= DATE_SUB(CURDATE(),INTERVAL 0 DAY) AND
				notices.noticeExpires >= DATE_SUB(CURDATE(),INTERVAL 0 DAY) OR
				notices.isActive = 1 AND
				notices.adminOnly IN (".$admOnly.")
			ORDER BY
				orderDate";
	$res = mysqli_query($mysqli, $qry) or die('-3' . mysqli_error());

	$dashPage = 'true';
	$pageTitle = $dashboardPageTitle;

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">

					<div class="notices mt-20 mb-20">
						<div class="notice">
							<?php
								if(mysqli_num_rows($res) > 0) {
									while ($note = mysqli_fetch_assoc($res)) {
										// If Start Date is set, use the Start date, else the Date the Alert was created
										if ($note['noticeStart'] != '0000-00-00 00:00:00') { $noticeDate = dateFormat($note['noticeStart']); } else { $noticeDate = dateFormat($note['noticeDate']); }
							?>
										<div class="notice-item">
											<h4 class="head-title mb-5"><i class="fa fa-bullhorn"></i> &nbsp; <?php echo clean($note['noticeTitle']); ?></h4>
											<p class="notice-date"><small class="text-muted"><?php echo clean($note['postedBy']); ?> / <?php echo $noticeDate; ?></small></p>
											<p><?php echo nl2br(htmlspecialchars_decode($note['noticeText'])); ?></p>
										</div>
							<?php
									}
								}
							?>
						</div>
					</div>

					<div class="row">
						<div class="col-md-6">
							<h3 class="head-title mt-0 mb-10"><?php echo $msgInboxText; ?></h3>
							<?php
								if(mysqli_num_rows($results) > 0) {
									while ($rows = mysqli_fetch_assoc($results)) {
							?>
									<div class="info-item">
										<h4>
											<a href="index.php?page=viewReceived&messageId=<?php echo $rows['messageId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $viewMsgTooltip; ?>">
												<?php echo clean($rows['messageTitle']); ?>
											</a>
										</h4>
										<p class="infoLabels mb-10">
											<?php echo $recvdFromText; ?>: <?php echo clean($rows['sentFrom']); ?>
											<span class="pull-right"><?php echo $recvdText; ?>: <?php echo dateFormat($rows['messageDate']); ?></span>
										</p>
										<p><?php echo ellipsis($rows['messageText'],240); ?></p>
									</div>
							<?php
									}
								} else {
							?>
								<div class="alertMsg default">
									<div class="msgIcon pull-left">
										<i class="fa fa-check"></i>
									</div>
									<?php echo $inboxEmptyMsg; ?>
								</div>
							<?php } ?>
						</div>
						<div class="col-md-6">
							<h3 class="head-title mt-0 mb-10"><?php echo $openTasksH3; ?></h3>
							<?php
								if(mysqli_num_rows($result) > 0) {
									while ($row = mysqli_fetch_assoc($result)) {
							?>
									<div class="info-item">
										<h4>
											<a href="index.php?page=viewTask&taskId=<?php echo $row['taskId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $viewtaskTooltip; ?>">
												<?php echo clean($row['taskTitle']); ?>
											</a>
											<span class="pull-right text-danger"><strong><?php echo clean($row['taskPriority']); ?></strong></span>
										</h4>
										<p class="infoLabels mb-10">
											<?php echo $createdByTh; ?>: <?php echo clean($row['createdBy']); ?>
											<span class="pull-right"><?php echo $dueText; ?>: <?php echo dateFormat($row['taskDue']); ?></span>
										</p>
										<p><?php echo ellipsis($row['taskDesc'],240); ?></p>
									</div>
							<?php
									}
								} else {
							?>
								<div class="alertMsg default">
									<div class="msgIcon pull-left">
										<i class="fa fa-check"></i>
									</div>
									<?php echo $noOpenTasksMsg; ?>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>