<?php
	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	if ($tz_superUser != '') {
		// Delete User Account
		if (isset($_POST['submit']) && $_POST['submit'] == 'delete') {
			$deleteId = htmlspecialchars($_POST['deleteId']);
			$usrsName = htmlspecialchars($_POST['usrsName']);

			// Delete Activity Records
			$stmt = $mysqli->prepare("DELETE FROM activity WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete any Auth Flags the User may have had
			$stmt = $mysqli->prepare("DELETE FROM appauths WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Calendar Event Records
			$stmt = $mysqli->prepare("DELETE FROM events WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Schedule Records
			$stmt = $mysqli->prepare("DELETE FROM schedule WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Task Records
			$stmt = $mysqli->prepare("DELETE FROM tasks WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Time Edits Records
			$stmt = $mysqli->prepare("DELETE FROM timelogedits WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Manual Time Entry Records
			$stmt = $mysqli->prepare("DELETE FROM timelogentries WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Time Entry Records
			$stmt = $mysqli->prepare("DELETE FROM timelogs WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete Document Records
			$stmt = $mysqli->prepare("DELETE FROM userdocs WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Delete User Account
			$stmt = $mysqli->prepare("DELETE FROM users WHERE userId = ?");
			$stmt->bind_param('s', $deleteId);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '19';
			$activityTitle = $tz_userFull.' '.$delUserAct.' "'.$usrsName.'"';
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($delUserMsg1." \"".$usrsName."\" ".$delUserMsg2, "<i class='fa fa-check-square'></i>", "success");
		}
	}

	// Get Data
	if ($tz_superUser != '') {
		$sql = "SELECT
					users.*,
					CONCAT(usr.userFirst,' ',usr.userLast) AS theManager
				FROM
					users
					LEFT JOIN users AS usr ON users.managerId = usr.userId
				WHERE users.isActive = 0";
		$res = mysqli_query($mysqli, $sql) or die('-1' . mysqli_error());
	} else {
		$sql = "SELECT
					users.*
				FROM
					users
				WHERE users.isActive = 0 AND users.managerId = ".$tz_userId;
		$res = mysqli_query($mysqli, $sql) or die('-2' . mysqli_error());
	}

	$userPage = 'true';
	$pageTitle = $inactiveUsersPageTitle;
	$addCss = '<link href="css/dataTables.css" rel="stylesheet">';
	$dataTables = 'true';
	$jsFile = 'inactiveUsers';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php
						if ((checkArray('MNGUSR', $auths)) || $tz_superUser != '') {
							if ($msgBox) { echo $msgBox; }
					?>
							<div class="mt-20"></div>
							<?php if(mysqli_num_rows($res) > 0) { ?>
								<table id="inactUsers" class="display" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th><?php echo $usersNameTh; ?></th>
											<th><?php echo $emailTh; ?></th>
											<th><?php echo $phoneTh; ?></th>
											<th class="text-center"><?php echo $accTypeTh; ?></th>
											<th class="text-center"><?php echo $hireDtTh; ?></th>
											<th class="text-center"><?php echo $termDateTh; ?></th>
											<?php if ($tz_superUser != '') { ?>
												<th></th>
											<?php } ?>
										</tr>
									</thead>

									<tbody>
										<?php
											while ($row = mysqli_fetch_assoc($res)) {
												if ($row['superUser'] == '1') { $suser = $superUserText.', '; } else { $suser = ''; }
												if ($row['isAdmin'] == '1') { $admUser = $managerText; } else { $admUser = $employeeText; }
												if ($row['userPhone1'] != '') { $userPhone1 = decodeIt($row['userPhone1']); } else { $userPhone1 = '';  }
												if ($row['terminationDate'] != '0000-00-00 00:00:00') { $terminationDate = dateFormat($row['terminationDate']); } else { $terminationDate = '';  }
										?>
												<tr>
													<td>
														<a href="index.php?page=viewUser&userId=<?php echo $row['userId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $viewUserTooltip; ?>">
															<?php echo clean($row['userFirst']).' '.clean($row['userLast']); ?>
														</a>
													</td>
													<td><?php echo clean($row['userEmail']); ?></td>
													<td><?php echo $userPhone1; ?></td>
													<td class="text-center"><?php echo $suser.$admUser; ?></td>
													<td class="text-center"><?php echo dateFormat($row['userHireDate']); ?></td>
													<td class="text-center"><?php echo $terminationDate; ?></td>
													<?php if ($tz_superUser != '') { ?>
														<td class="text-center">
															<a href="#delUser<?php echo $row['userId']; ?>" data-toggle="modal">
																<i class="fa fa-trash text-danger" data-toggle="tooltip" data-placement="left" title="<?php echo $delUserAccTooltip; ?>"></i>
															</a>

															<div class="modal fade" id="delUser<?php echo $row['userId']; ?>" tabindex="-1" role="dialog" aria-hidden="true">
																<div class="modal-dialog">
																	<div class="modal-content">
																		<form action="" method="post">
																			<div class="modal-body">
																				<p class="lead mt-0">
																					<?php echo $delUserAccConf1; ?> <?php echo clean($row['userFirst']).' '.clean($row['userLast']); ?>?<br />
																					<small><?php echo $delUserAccConf2; ?></small>
																				</p>
																				<p><?php echo $delUserAccConf3; ?></p>
																			</div>
																			<div class="modal-footer">
																				<input type="hidden" name="deleteId" value="<?php echo $row['userId']; ?>" />
																				<input type="hidden" name="usrsName" value="<?php echo clean($row['userFirst']).' '.clean($row['userLast']); ?>" />
																				<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
																				<button type="input" name="submit" value="delete" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
																			</div>
																		</form>
																	</div>
																</div>
															</div>
														</td>
													<?php } ?>
												</tr>
										<?php } ?>
									</tbody>
								</table>
							<?php
								} else {
							?>
								<div class="alertMsg default">
									<div class="msgIcon pull-left">
										<i class="fa fa-ban"></i>
									</div>
									<?php echo $noInactiveusrsFoundMsg; ?>
								</div>
							<?php } ?>
					<?php } else { ?>
						<div class="alertMsg danger">
							<div class="msgIcon pull-left">
								<i class="fa fa-ban"></i>
							</div>
							<?php echo $accessErrorMsg; ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>