<?php
	$enableSched = $set['enableSchedule'];

	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	if (isset($_POST['submit']) && $_POST['submit'] == 'uplSched') {
		$fname = $_FILES['importfile']['name'];
		$chk_ext = explode(".",$fname);

		if(strtolower($chk_ext[1]) == "csv") {
			$filename = $_FILES['importfile']['tmp_name'];
			$handle = fopen($filename, "r");
			$i = 1;

			while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
				$userId = htmlspecialchars($data[0]);
				$startTime = htmlspecialchars($data[2]).':00';
				$endTime = htmlspecialchars($data[3]).':00';
				$schedDesc = htmlspecialchars($data[4]);
				$schedDay = htmlspecialchars($data[1]);
				$schedTitle = htmlspecialchars($data[2]).' - '.htmlspecialchars($data[3]);
				$schedColor = '#e9e6e1';

				if($i > 1) {
					$stmt = $mysqli->prepare("
										INSERT INTO schedule (
											userId,
											createdBy,
											startDate,
											startTime,
											endDate,
											endTime,
											schedTitle,
											schedDesc,
											schedColor,
											lastUpdated,
											ipAddress
										) VALUES (
											'$userId',
											'$tz_userId',
											'$schedDay',
											'$startTime',
											'$schedDay',
											'$endTime',
											'$schedTitle',
											'$schedDesc',
											'$schedColor',
											 NOW(),
											'$actIp'
										)
					");
					$stmt->execute();
				}
				$i++;
			}

			// Add Recent Activity
			$activityType = '11';
			$activityTitle = $tz_userFull.' '.$oplSchedCsvAct;
			updateActivity($tz_userId,$activityType,$activityTitle);

			fclose($handle);
			$msgBox = alertBox($oplSchedCsvMsg, "<i class='fa fa-check-square'></i>", "success");
			$stmt->close();
		} else {
			// Add Recent Activity
			$activityType = '0';
			$activityTitle = $tz_userFull.' '.$oplSchedCsvActErr;
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($oplSchedCsvMsgErr, "<i class='fa fa-times-circle'></i>", "danger");
		}
	}

	// Add a New Shift
	if (isset($_POST['submit']) && $_POST['submit'] == 'addShift') {
		// User Validations
		if($_POST['userId'] == '...') {
			$msgBox = alertBox($selectUserReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['startTime'] == '') {
			$msgBox = alertBox($shiftStartReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['endTime'] == '') {
			$msgBox = alertBox($shiftEndReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$userId = htmlspecialchars($_POST['userId']);
			$startTime = htmlspecialchars($_POST['startTime']).':00';
			$endTime = htmlspecialchars($_POST['endTime']).':00';
			$schedDesc = htmlspecialchars($_POST['schedDesc']);
			$schedDay = htmlspecialchars($_POST['schedDay']);
			$schedTitle = htmlspecialchars($_POST['startTime']).' - '.htmlspecialchars($_POST['endTime']);
			$schedColor = '#e9e6e1';

			// Get User's Name
			$usrName = "SELECT CONCAT(users.userFirst,' ',users.userLast) AS theUser FROM users WHERE userId = ".$userId;
			$usrres = mysqli_query($mysqli, $usrName) or die('-1' . mysqli_error());
			$usrsName = mysqli_fetch_assoc($usrres);
			$theUser = $usrsName['theUser'];

			$stmt = $mysqli->prepare("
								INSERT INTO
									schedule(
										userId,
										createdBy,
										startDate,
										startTime,
										endDate,
										endTime,
										schedTitle,
										schedDesc,
										schedColor,
										lastUpdated,
										ipAddress
									) VALUES (
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										?,
										NOW(),
										?
									)
			");
			$stmt->bind_param('ssssssssss',
								$userId,
								$tz_userId,
								$schedDay,
								$startTime,
								$schedDay,
								$endTime,
								$schedTitle,
								$schedDesc,
								$schedColor,
								$actIp
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '11';
			$activityTitle = $tz_userFull.' '.$newShiftAct.' '.$theUser;
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($newShiftMsg1." ".$theUser." ".$newEventMsg2, "<i class='fa fa-check-square'></i>", "success");

			// Clear the Form of values
			$_POST['startTime'] = $_POST['endTime'] = $_POST['schedDesc'] = $_POST['schedDay'] = '';
		}
	}

	// Delete Scheduled Shift
	if (isset($_POST['submit']) && $_POST['submit'] == 'deleteSched') {
		$deleteId = htmlspecialchars($_POST['deleteId']);
		$delTitle = htmlspecialchars($_POST['delTitle']);

		$stmt = $mysqli->prepare("DELETE FROM schedule WHERE schedId = ?");
		$stmt->bind_param('s', $deleteId);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '11';
		$activityTitle = $tz_userFull.' '.$delShiftAct.' '.$delTitle;
		updateActivity($tz_userId,$activityType,$activityTitle);

		$msgBox = alertBox($delShiftMsg1." ".$delTitle." ".$delEventMsg2, "<i class='fa fa-check-square'></i>", "success");

		// Clear the Form of values
		$_POST['delTitle'] = '';
	}

	// Edit Scheduled Shift
	if (isset($_POST['submit']) && $_POST['submit'] == 'editSched') {
		// User Validations
		if($_POST['startTime'] == '') {
			$msgBox = alertBox($shiftStartReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['endTime'] == '') {
			$msgBox = alertBox($shiftEndReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$startTime = htmlspecialchars($_POST['startTime']).':00';
			$endTime = htmlspecialchars($_POST['endTime']).':00';
			$schedDesc = htmlspecialchars($_POST['schedDesc']);
			$editId = htmlspecialchars($_POST['editId']);
			$eTitle = htmlspecialchars($_POST['eTitle']);
			$schedTitle = htmlspecialchars($_POST['startTime']).' - '.htmlspecialchars($_POST['endTime']);

			$stmt = $mysqli->prepare("UPDATE
										schedule
									SET
										startTime = ?,
										endTime = ?,
										schedTitle = ?,
										schedDesc = ?,
										lastUpdated = NOW(),
										ipAddress = ?
									WHERE
										schedId = ?"
			);
			$stmt->bind_param('ssssss',
									$startTime,
									$endTime,
									$schedTitle,
									$schedDesc,
									$actIp,
									$editId
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '11';
			$activityTitle = $tz_userFull.' '.$editShiftAct.' '.$eTitle;
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($editShiftMsg." \"".$eTitle."\" ".$editEventMsg, "<i class='fa fa-check-square'></i>", "success");

			// Clear the Form of values
			$_POST['schedDesc'] = '';
		}
    }

	$mngPage = 'true';
	$pageTitle = $pageNotFoundHeader;
	if ($enableSched == '1') {
		$pageTitle = $mngSchedulesPageTitle;
		$addCss = '<link rel="stylesheet" type="text/css" href="css/fullcalendar.css" /><link rel="stylesheet" type="text/css" href="css/datetimepicker.css" />
	<style type="text/css">
		.fc-content { text-align: center !important;  line-height: 12px; }
		.fc-time { display: none; }
		.fc-title { color: #555555 !important; font-size: 11px; }
	</style>';
		$fullCalendar = 'true';
		$calInclude = 'true';
		$datePicker = 'true';
		$jsFile = 'mngSchedules';
	}

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php
						if ($enableSched == '1') {
							if ((checkArray('MNGSCHED', $auths)) || $tz_superUser != '') {
								if ($msgBox) { echo $msgBox; }
					?>
								<input type="hidden" id="langCode" value="<?php echo $calLanguage; ?>" />
								<input type="hidden" id="schedForText" value="<?php echo $schedForText; ?>" />
								<input type="hidden" id="addedByText" value="<?php echo $addedByText; ?>" />
								<input type="hidden" id="uplSchedText" value="<?php echo $uplSchedCsvText; ?>" />
								<input type="hidden" id="editSchedText" value="<?php echo $editSchedForText; ?>" />

								<div id="loading">
									<span class="loader"></span><span class="loader"></span><span class="loader"></span><span class="loader"></span><span class="loader"></span>
								</div>

								<div id="calendar"></div>

								<div id="addTimes" class="modal fade">
									<div class="modal-dialog">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
												<h4 class="modal-title"><?php echo $addShiftSchedH4; ?></h4>
											</div>
											<form action="" method="post">
												<div class="modal-body">
													<div class="form-group">
														<label for="userId"><?php echo $userTh; ?></label>
														<?php
															if ($tz_superUser != '') {
																// Superuser - get all Active Employees
																$usrqry = "SELECT userId, userFirst, userLast FROM users WHERE isActive = 1";
																$usrres = mysqli_query($mysqli, $usrqry) or die('-2'.mysqli_error());
															} else {
																// Manager - get only Users assigned
																$usrqry = "SELECT userId, userFirst, userLast FROM users WHERE managerId = ".$tz_userId." AND isActive = 1";
																$usrres = mysqli_query($mysqli, $usrqry) or die('-3'.mysqli_error());
															}
														?>
														<select class="form-control" name="userId" id="userId">
															<option value="..."><?php echo $selectOption; ?></option>
															<?php
																while ($usr = mysqli_fetch_assoc($usrres)) {
																	echo '<option value="'.$usr['userId'].'">'.$usr['userFirst'].' '.$usr['userLast'].'</option>';
																}
															?>
														</select>
														<span class="help-block"><?php echo $schedUserFieldHelp; ?></span>
													</div>
													<div class="row">
														<div class="col-md-6">
															<div class="form-group">
																<label for="startsAt"><?php echo $shiftStartField; ?></label>
																<input type="text" class="form-control" name="startTime" id="startsAt" required="" value="" />
																<span class="help-block"><?php echo $shiftTimeFormat; ?></span>
															</div>
														</div>
														<div class="col-md-6">
															<div class="form-group">
																<label for="endsAt"><?php echo $shiftEndField; ?></label>
																<input type="text" class="form-control" name="endTime" id="endsAt" required="" value="" />
																<span class="help-block"><?php echo $shiftTimeFormat; ?></span>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="schedDesc"><?php echo $descField; ?></label>
														<textarea class="form-control" name="schedDesc" id="schedDesc" rows="2"></textarea>
													</div>
												</div>
												<div class="modal-footer">
													<input type="hidden" name="schedDay" id="schedDay" value="" />
													<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
													<button type="input" name="submit" value="addShift" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveShiftBtn; ?></button>
												</div>
											</form>
										</div>
									</div>
								</div>

								<div id="uplSched" class="modal fade">
									<div class="modal-dialog">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
												<h4 class="modal-title"><?php echo $uplCsvH4; ?></h4>
											</div>
											<form action="" method="post" enctype="multipart/form-data">
												<div class="modal-body">
													<p>
														<?php echo $uplCsv1; ?>
														<a href="https://notepad-plus-plus.org/" target="_blank">NotePad++</a> <?php echo $uplCsv2; ?>
													</p>
													<a href="docs/schedTemplate.csv" target="_blank" class="btn btn-info btn-xs btn-icon"><i class="fa fa-download"></i> <?php echo $downldTmplBtn; ?></a>
													<a href="docs/schedTemplateExample.csv" target="_blank" class="btn btn-warning btn-xs btn-icon"><i class="fa fa-download"></i> <?php echo $downldExpBtn; ?></a>
													<hr />
													<p><?php echo $uplCsv3; ?></p>
													<dl class="dl-horizontal">
														<dt>userId</dt>
														<dd class="text-muted"><?php echo $uplCsv4; ?></dd>
														<dt>schedDate</dt>
														<dd class="text-muted"><?php echo $uplCsv5; ?></dd>
														<dt>startTime</dt>
														<dd class="text-muted"><?php echo $uplCsv6; ?></dd>
														<dt>endTime</dt>
														<dd class="text-muted"><?php echo $uplCsv7; ?></dd>
														<dt>schedDesc</dt>
														<dd class="text-muted"><?php echo $uplCsv8; ?></dd>
													</dl>
													<p><strong><?php echo $uplCsv9; ?></strong></p>
<pre>userId,schedDate,startTime,endTime,schedDesc
1,2015-08-24,07:00,15:30,Early shift to cover phones
1,2015-08-25,09:00,16:00,
1,2015-08-26,08:00,15:30,Backup Support
1,2015-08-27,08:00,15:30,
1,2015-08-28,08:30,16:00,</pre>
													<p><small><?php echo $uplCsv10; ?></small></p>
													<hr />

													<div class="form-group">
														<label for="file"><?php echo $uplCsvSelectFile; ?></label>
														<input type="file" name="importfile" required="" />
													</div>
												</div>
												<div class="modal-footer">
													<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
													<button type="input" name="submit" value="uplSched" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $uplSchedCsvText; ?></button>
												</div>
											</form>
										</div>
									</div>
								</div>

								<div id="fullCalModal" class="modal fade">
									<div class="modal-dialog">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
												<h4 id="modalTitle" class="modal-title"></h4>
											</div>
											<div class="modal-body">
												<span id="schedTimes" class="label"></span>
												<span id="createdBy" class="label"></span>
												<p id="schedDescription" class="lead mt-10 mb-0"></p>
											</div>
											<div class="modal-footer">
												<a href="#deleteSched" id="delBtn" data-toggle="modal" data-dismiss="modal" class="btn btn-danger btn-sm btn-icon pull-left"><i class="fa fa-trash"></i> <?php echo $deleteBtn; ?></a>
												<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $closeBtn; ?></button>
												<a href="#editSched" id="editBtn" data-toggle="modal" data-dismiss="modal" class="btn btn-info btn-sm btn-icon"><i class="fa fa-edit"></i> <?php echo $editBtn; ?></a>
											</div>
										</div>
									</div>
								</div>

								<div class="modal fade" id="deleteSched" tabindex="-1" role="dialog" aria-hidden="true">
									<div class="modal-dialog">
										<div class="modal-content">
											<form action="" method="post">
												<div class="modal-body">
													<p class="lead"><?php echo $delSchedConf; ?> <span id="deleteTitle"></span>?</p>
												</div>
												<div class="modal-footer">
													<input type="hidden" name="delTitle" id="delTitle" value="" />
													<input type="hidden" name="deleteId" id="deleteId" value="" />
													<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
													<button type="input" name="submit" value="deleteSched" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
												</div>
											</form>
										</div>
									</div>
								</div>

								<div class="modal fade" id="editSched" tabindex="-1" role="dialog" aria-hidden="true">
									<div class="modal-dialog modal-lg">
										<div class="modal-content">
											<div class="modal-header">
												<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
												<h4 id="editTitle" class="modal-title"></h4>
											</div>
											<form action="" method="post">
												<div class="modal-body">
													<p><?php echo $editSchedQuip; ?></p>
													<div class="row">
														<div class="col-md-6">
															<div class="form-group">
																<label for="startTime"><?php echo $shiftStartField; ?></label>
																<input type="text" class="form-control" name="startTime" id="startTime" required="" value="" />
																<span class="help-block"><?php echo $shiftTimeFormat; ?></span>
															</div>
														</div>
														<div class="col-md-6">
															<div class="form-group">
																<label for="endTime"><?php echo $shiftEndField; ?></label>
																<input type="text" class="form-control" name="endTime" id="endTime" required="" value="" />
																<span class="help-block"><?php echo $shiftTimeFormat; ?></span>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label for="eDesc"><?php echo $descField; ?></label>
														<textarea class="form-control" name="schedDesc" id="eDesc" rows="2"></textarea>
													</div>
												</div>
												<div class="modal-footer">
													<input type="hidden" name="eTitle" id="eTitle" value="" />
													<input type="hidden" name="editId" id="editId" value="" />
													<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
													<button type="input" name="submit" value="editSched" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveChangesBtn; ?></button>
												</div>
											</form>
										</div>
									</div>
								</div>
						<?php } else { ?>
							<div class="alertMsg danger">
								<div class="msgIcon pull-left">
									<i class="fa fa-ban"></i>
								</div>
								<?php echo $accessErrorMsg; ?>
							</div>
					<?php
							}
						} else {
					?>
						<div class="alertMsg danger">
							<div class="msgIcon pull-left">
								<i class="fa fa-ban"></i>
							</div>
							<?php echo $accessErrorMsg; ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>