<?php
	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	// Update Global Site Settings
	if (isset($_POST['submit']) && $_POST['submit'] == 'glbSettings') {
		// User Validations
		if($_POST['installUrl'] == '') {
			$msgBox = alertBox($installUrlReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['siteName'] == '') {
			$msgBox = alertBox($siteNameReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['businessName'] == '') {
			$msgBox = alertBox($busiNameReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['siteEmail'] == '') {
			$msgBox = alertBox($siteEmailReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['businessPhone'] == '') {
			$msgBox = alertBox($busiPhoneReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['businessAddress'] == '') {
			$msgBox = alertBox($busiAddyReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$installUrl = htmlspecialchars($_POST['installUrl']);
			if(substr($installUrl, -1) != '/') {
				$install = $installUrl.'/';
			} else {
				$install = $installUrl;
			}

			$siteName = htmlspecialchars($_POST['siteName']);
			$businessName = htmlspecialchars($_POST['businessName']);
			$siteEmail = htmlspecialchars($_POST['siteEmail']);
			$businessPhone = htmlspecialchars($_POST['businessPhone']);
			$contactPhone = htmlspecialchars($_POST['contactPhone']);
			$businessAddress = htmlspecialchars($_POST['businessAddress']);
			$enableSchedule = htmlspecialchars($_POST['enableSchedule']);
			$enableTimeEdits = htmlspecialchars($_POST['enableTimeEdits']);

			$stmt = $mysqli->prepare("UPDATE
										sitesettings
									SET
										installUrl = ?,
										siteName = ?,
										siteEmail = ?,
										businessName = ?,
										businessAddress = ?,
										businessPhone = ?,
										contactPhone = ?,
										enableSchedule = ?,
										enableTimeEdits = ?"
			);
			$stmt->bind_param('sssssssss',
									$install,
									$siteName,
									$siteEmail,
									$businessName,
									$businessAddress,
									$businessPhone,
									$contactPhone,
									$enableSchedule,
									$enableTimeEdits
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '18';
			$activityTitle = $tz_userFull.' '.$siteSetUpdAct;
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($siteSetUpdMsg, "<i class='fa fa-check-square'></i>", "success");

			$set['enableSchedule'] = $enableSchedule;
		}
    }

	// Update Localization Settings
	if (isset($_POST['submit']) && $_POST['submit'] == 'lclSettings') {
		// User Validations
		if($_POST['weatherLocation'] == '') {
			$msgBox = alertBox($weatherLocReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$localization = htmlspecialchars($_POST['localization']);
			$calLocalization = htmlspecialchars($_POST['calLocalization']);
			$weekStart = htmlspecialchars($_POST['weekStart']);
			$weatherLocation = htmlspecialchars($_POST['weatherLocation']);

			$stmt = $mysqli->prepare("UPDATE
										sitesettings
									SET
										localization = ?,
										calLocalization = ?,
										weekStart = ?,
										weatherLoc = ?"
			);
			$stmt->bind_param('ssss',
									$localization,
									$calLocalization,
									$weekStart,
									$weatherLocation
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '18';
			$activityTitle = $tz_userFull.' '.$locSetUpdAct;
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($locSetUpdMsg, "<i class='fa fa-check-square'></i>", "success");

			$set['weekStart'] = $weekStart;
		}
    }

	// Update Upload Settings
	if (isset($_POST['submit']) && $_POST['submit'] == 'uplSettings') {
		// User Validations
		if($_POST['fileTypesAllowed'] == '') {
			$msgBox = alertBox($fileTypesReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['avatarTypesAllowed'] == '') {
			$msgBox = alertBox($avatarTypesReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$fileTypesAllowed = htmlspecialchars($_POST['fileTypesAllowed']);
			$avatarTypesAllowed = htmlspecialchars($_POST['avatarTypesAllowed']);

			$stmt = $mysqli->prepare("UPDATE
										sitesettings
									SET
										fileTypesAllowed = ?,
										avatarTypesAllowed = ?"
			);
			$stmt->bind_param('ss',
									$fileTypesAllowed,
									$avatarTypesAllowed
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '18';
			$activityTitle = $tz_userFull.' '.$uplSetAct;
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($uplSetMsg, "<i class='fa fa-check-square'></i>", "success");
		}
    }

	// Get Data
	$qry = "SELECT * FROM sitesettings";
	$res = mysqli_query($mysqli, $qry) or die('-1' . mysqli_error());
	$row = mysqli_fetch_assoc($res);

	if ($row['weekStart'] == '1') { 			$startWk = 'selected'; 		} else { $startWk = ''; }
	if ($row['localization'] == 'custom') { 	$custom = 'selected'; 		} else { $custom = ''; }
	if ($row['enableSchedule'] == '0') { 		$sched = 'selected'; 		} else { $sched = ''; }
	if ($row['enableTimeEdits'] == '0') { 		$edits = 'selected'; 		} else { $edits = ''; }

	if ($row['calLocalization'] == 'en') { 		$enSel = 'selected'; 		} else { $enSel = ''; }
	if ($row['calLocalization'] == 'ar-ma') { 	$ar_maSel = 'selected'; 	} else { $ar_maSel = ''; }
	if ($row['calLocalization'] == 'ar-sa') { 	$ar_saSel = 'selected'; 	} else { $ar_saSel = ''; }
	if ($row['calLocalization'] == 'ar-tn') { 	$ar_tnSel = 'selected'; 	} else { $ar_tnSel = ''; }
	if ($row['calLocalization'] == 'ar') { 		$arSel = 'selected'; 		} else { $arSel = ''; }
	if ($row['calLocalization'] == 'bg') { 		$bgSel = 'selected'; 		} else { $bgSel = ''; }
	if ($row['calLocalization'] == 'ca') { 		$caSel = 'selected'; 		} else { $caSel = ''; }
	if ($row['calLocalization'] == 'cs') { 		$csSel = 'selected'; 		} else { $csSel = ''; }
	if ($row['calLocalization'] == 'da') { 		$daSel = 'selected'; 		} else { $daSel = ''; }
	if ($row['calLocalization'] == 'de-at') { 	$de_atSel = 'selected'; 	} else { $de_atSel = ''; }
	if ($row['calLocalization'] == 'de') { 		$deSel = 'selected'; 		} else { $deSel = ''; }
	if ($row['calLocalization'] == 'el') { 		$elSel = 'selected'; 		} else { $elSel = ''; }
	if ($row['calLocalization'] == 'en-au') { 	$en_auSel = 'selected'; 	} else { $en_auSel = ''; }
	if ($row['calLocalization'] == 'en-ca') { 	$en_caSel = 'selected'; 	} else { $en_caSel = ''; }
	if ($row['calLocalization'] == 'en-gb') { 	$en_gbSel = 'selected'; 	} else { $en_gbSel = ''; }
	if ($row['calLocalization'] == 'es') { 		$esSel = 'selected'; 		} else { $esSel = ''; }
	if ($row['calLocalization'] == 'fa') { 		$faSel = 'selected'; 		} else { $faSel = ''; }
	if ($row['calLocalization'] == 'fi') { 		$fiSel = 'selected'; 		} else { $fiSel = ''; }
	if ($row['calLocalization'] == 'fr-ca') { 	$fr_caSel = 'selected'; 	} else { $fr_caSel = ''; }
	if ($row['calLocalization'] == 'fr') { 		$frSel = 'selected'; 		} else { $frSel = ''; }
	if ($row['calLocalization'] == 'he') { 		$heSel = 'selected'; 		} else { $heSel = ''; }
	if ($row['calLocalization'] == 'hi') { 		$hiSel = 'selected'; 		} else { $hiSel = ''; }
	if ($row['calLocalization'] == 'hr') { 		$hrSel = 'selected'; 		} else { $hrSel = ''; }
	if ($row['calLocalization'] == 'hu') { 		$huSel = 'selected'; 		} else { $huSel = ''; }
	if ($row['calLocalization'] == 'id') { 		$idSel = 'selected'; 		} else { $idSel = ''; }
	if ($row['calLocalization'] == 'is') { 		$isSel = 'selected'; 		} else { $isSel = ''; }
	if ($row['calLocalization'] == 'it') { 		$itSel = 'selected'; 		} else { $itSel = ''; }
	if ($row['calLocalization'] == 'ja') { 		$jaSel = 'selected'; 		} else { $jaSel = ''; }
	if ($row['calLocalization'] == 'ko') { 		$koSel = 'selected'; 		} else { $koSel = ''; }
	if ($row['calLocalization'] == 'lt') { 		$ltSel = 'selected'; 		} else { $ltSel = ''; }
	if ($row['calLocalization'] == 'lv') { 		$lvSel = 'selected'; 		} else { $lvSel = ''; }
	if ($row['calLocalization'] == 'nb') { 		$nbSel = 'selected'; 		} else { $nbSel = ''; }
	if ($row['calLocalization'] == 'nl') { 		$nlSel = 'selected'; 		} else { $nlSel = ''; }
	if ($row['calLocalization'] == 'pl') { 		$plSel = 'selected'; 		} else { $plSel = ''; }
	if ($row['calLocalization'] == 'pt-br') { 	$pt_brSel = 'selected'; 	} else { $pt_brSel = ''; }
	if ($row['calLocalization'] == 'pt') { 		$ptSel = 'selected'; 		} else { $ptSel = ''; }
	if ($row['calLocalization'] == 'ro') { 		$roSel = 'selected'; 		} else { $roSel = ''; }
	if ($row['calLocalization'] == 'ru') { 		$ruSel = 'selected'; 		} else { $ruSel = ''; }
	if ($row['calLocalization'] == 'sk') { 		$skSel = 'selected'; 		} else { $skSel = ''; }
	if ($row['calLocalization'] == 'sl') { 		$slSel = 'selected'; 		} else { $slSel = ''; }
	if ($row['calLocalization'] == 'sr-cyrl') { $sr_cyrlSel = 'selected'; 	} else { $sr_cyrlSel = ''; }
	if ($row['calLocalization'] == 'sr') { 		$srSel = 'selected'; 		} else { $srSel = ''; }
	if ($row['calLocalization'] == 'sv') { 		$svSel = 'selected'; 		} else { $svSel = ''; }
	if ($row['calLocalization'] == 'th') { 		$thSel = 'selected'; 		} else { $thSel = ''; }
	if ($row['calLocalization'] == 'tr') { 		$trSel = 'selected'; 		} else { $trSel = ''; }
	if ($row['calLocalization'] == 'uk') { 		$ukSel = 'selected'; 		} else { $ukSel = ''; }
	if ($row['calLocalization'] == 'vi') { 		$viSel = 'selected'; 		} else { $viSel = ''; }
	if ($row['calLocalization'] == 'zh-cn') { 	$zh_cnSel = 'selected'; 	} else { $zh_cnSel = ''; }
	if ($row['calLocalization'] == 'zh-tw') { 	$zh_twSel = 'selected'; 	} else { $zh_twSel = ''; }

	$mngPage = 'true';
	$pageTitle = $mngSettingsPageTitle;
	$addCss = '<link href="css/chosen.css" rel="stylesheet">';
	$chosen = 'true';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php
						if ((checkArray('SITESET', $auths)) || $tz_superUser != '') {
							if ($msgBox) { echo $msgBox; }
					?>
							<h4 class="head-title mt-20 mb-20"><?php echo $mngSettingsH4; ?></h4>
							<form action="" method="post">
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="installUrl"><?php echo $installUrlField; ?></label>
											<input type="text" class="form-control" name="installUrl" id="installUrl" required="required" value="<?php echo clean($row['installUrl']); ?>" />
											<span class="help-block"><?php echo $installUrlFieldHelp; ?></span>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="siteName"><?php echo $siteNameField; ?></label>
											<input type="text" class="form-control" name="siteName" id="siteName" required="required" value="<?php echo clean($row['siteName']); ?>" />
											<span class="help-block"><?php echo $siteNameFieldHelp; ?></span>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="businessName"><?php echo $busiNameField; ?></label>
											<input type="text" class="form-control" name="businessName" id="businessName" required="required" value="<?php echo clean($row['businessName']); ?>" />
											<span class="help-block"><?php echo $busiNameFieldHelp; ?> <?php echo clean($set['siteName']); ?>.</span>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="siteEmail"><?php echo $siteEmailField; ?></label>
											<input type="text" class="form-control" name="siteEmail" id="siteEmail" required="required" value="<?php echo clean($row['siteEmail']); ?>" />
											<span class="help-block"><?php echo $siteEmailFieldHelp; ?></span>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="businessPhone"><?php echo $busiPhoneField; ?></label>
											<input type="text" class="form-control" name="businessPhone" id="businessPhone" required="required" value="<?php echo clean($row['businessPhone']); ?>" />
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="contactPhone"><?php echo $contactPhoneField; ?></label>
											<input type="text" class="form-control" name="contactPhone" id="contactPhone" value="<?php echo clean($row['contactPhone']); ?>" />
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="businessAddress"><?php echo $busiAddyField; ?></label>
											<textarea class="form-control" required="required" name="businessAddress" id="businessAddress" rows="3"><?php echo $row['businessAddress']; ?></textarea>
											<span class="help-block"><?php echo $busiAddyFieldHelp; ?></span>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="enableSchedule"><?php echo $enableSchedField; ?></label>
											<select class="form-control chosen-select" name="enableSchedule" id="enableSchedule">
												<option value="1"><?php echo $yesBtn; ?></option>
												<option value="0" <?php echo $sched; ?>><?php echo $noBtn; ?></option>
											</select>
											<span class="help-block"><?php echo $enableSchedFieldHelp; ?></span>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="enableTimeEdits"><?php echo $allowTimeEditsField; ?></label>
											<select class="form-control chosen-select" name="enableTimeEdits" id="enableTimeEdits">
												<option value="1"><?php echo $yesBtn; ?></option>
												<option value="0" <?php echo $edits; ?>><?php echo $noBtn; ?></option>
											</select>
											<span class="help-block"><?php echo $allowTimeEditsFieldHelp; ?></span>
										</div>
									</div>
								</div>
								<button type="input" name="submit" value="glbSettings" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> Save Global Settings</button>
							</form>

							<hr />

							<h4 class="head-title mt-20 mb-20"><?php echo $mngLocalSetH4; ?></h4>
							<form action="" method="post">
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="localization"><?php echo $localField; ?></label>
											<select class="form-control chosen-select" name="localization" id="localization">
												<option value="english">English - language/english.php</option>
												<option value="custom" <?php echo $custom; ?>>Custom - language/custom.php</option>
											</select>
											<span class="help-block"><?php echo $localFieldHelp; ?></span>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="calLocalization"><?php echo $calLocalField; ?></label>
											<select class="form-control chosen-select" name="calLocalization" id="calLocalization">
												<option value="en" <?php echo $enSel; ?>>en</option>
												<option value="ar-ma" <?php echo $ar_maSel; ?>>ar-ma</option>
												<option value="ar-sa" <?php echo $ar_saSel; ?>>ar-sa</option>
												<option value="ar-tn" <?php echo $ar_tnSel; ?>>ar-tn</option>
												<option value="ar" <?php echo $arSel; ?>>ar</option>
												<option value="bg" <?php echo $bgSel; ?>>bg</option>
												<option value="ca" <?php echo $caSel; ?>>ca</option>
												<option value="cs" <?php echo $csSel; ?>>cs</option>
												<option value="da" <?php echo $daSel; ?>>da</option>
												<option value="de-at" <?php echo $de_atSel; ?>>de-at</option>
												<option value="de" <?php echo $deSel; ?>>de</option>
												<option value="el" <?php echo $elSel; ?>>el</option>
												<option value="en-au" <?php echo $en_auSel; ?>>en-au</option>
												<option value="en-ca" <?php echo $en_caSel; ?>>en-ca</option>
												<option value="en-gb" <?php echo $en_gbSel; ?>>en-gb</option>
												<option value="es" <?php echo $esSel; ?>>es</option>
												<option value="fa" <?php echo $faSel; ?>>fa</option>
												<option value="fi" <?php echo $fiSel; ?>>fi</option>
												<option value="fr-ca" <?php echo $fr_caSel; ?>>fr-ca</option>
												<option value="fr" <?php echo $frSel; ?>>fr</option>
												<option value="he" <?php echo $heSel; ?>>he</option>
												<option value="hi" <?php echo $hiSel; ?>>hi</option>
												<option value="hr" <?php echo $hrSel; ?>>hr</option>
												<option value="hu" <?php echo $huSel; ?>>hu</option>
												<option value="id" <?php echo $idSel; ?>>id</option>
												<option value="is" <?php echo $isSel; ?>>is</option>
												<option value="it" <?php echo $itSel; ?>>it</option>
												<option value="ja" <?php echo $jaSel; ?>>ja</option>
												<option value="ko" <?php echo $koSel; ?>>ko</option>
												<option value="lt" <?php echo $ltSel; ?>>lt</option>
												<option value="lv" <?php echo $lvSel; ?>>lv</option>
												<option value="nb" <?php echo $nbSel; ?>>nb</option>
												<option value="nl" <?php echo $nlSel; ?>>nl</option>
												<option value="pl" <?php echo $plSel; ?>>pl</option>
												<option value="pt-br" <?php echo $pt_brSel; ?>>pt-br</option>
												<option value="pt" <?php echo $ptSel; ?>>pt</option>
												<option value="ro" <?php echo $roSel; ?>>ro</option>
												<option value="ru" <?php echo $ruSel; ?>>ru</option>
												<option value="sk" <?php echo $skSel; ?>>sk</option>
												<option value="sl" <?php echo $slSel; ?>>sl</option>
												<option value="sr-cyrl" <?php echo $sr_cyrlSel; ?>>sr-cyrl</option>
												<option value="sr" <?php echo $srSel; ?>>sr</option>
												<option value="sv" <?php echo $svSel; ?>>sv</option>
												<option value="th" <?php echo $thSel; ?>>th</option>
												<option value="tr" <?php echo $trSel; ?>>tr</option>
												<option value="uk" <?php echo $ukSel; ?>>uk</option>
												<option value="vi" <?php echo $viSel; ?>>vi</option>
												<option value="zh-cn" <?php echo $zh_cnSel; ?>>zh-cn</option>
												<option value="zh-tw" <?php echo $zh_twSel; ?>>zh-tw</option>
											</select>
											<span class="help-block"><?php echo $calLocalFieldHelp; ?></span>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="weekStart"><?php echo $weekStartField; ?></label>
											<select class="form-control chosen-select" name="weekStart" id="weekStart">
												<option value="0"><?php echo $sunText; ?></option>
												<option value="1" <?php echo $startWk; ?>><?php echo $monText; ?></option>
											</select>
											<span class="help-block"><?php echo $weekStartFieldHelp; ?></span>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="weatherLocation"><?php echo $defWeatherLocal; ?></label>
											<input type="text" class="form-control" name="weatherLocation" id="weatherLocation" required="required" value="<?php echo clean($row['weatherLoc']); ?>" />
											<span class="help-block"><?php echo $defWeatherLocalHelp; ?></span>
										</div>
									</div>
								</div>
								<button type="input" name="submit" value="lclSettings" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveLocalSetBtn; ?></button>
							</form>

							<hr />

							<h4 class="head-title mt-20 mb-20"><?php echo $mngUplSettingsH4; ?></h4>
							<form action="" method="post">
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="fileTypesAllowed"><?php echo $uplFileTypesField; ?></label>
											<input type="text" class="form-control" name="fileTypesAllowed" id="fileTypesAllowed" required="required" value="<?php echo clean($row['fileTypesAllowed']); ?>" />
											<span class="help-block"><?php echo $uplFileTypesFieldHelp; ?></span>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="avatarTypesAllowed"><?php echo $avatarFileTypesField; ?></label>
											<input type="text" class="form-control" name="avatarTypesAllowed" id="avatarTypesAllowed" required="required" value="<?php echo clean($row['avatarTypesAllowed']); ?>" />
											<span class="help-block"><?php echo $avatarFileTypesFieldHelp; ?></span>
										</div>
									</div>
								</div>
								<button type="input" name="submit" value="uplSettings" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveUplSetBtn; ?></button>
							</form>
					<?php } else { ?>
						<div class="alertMsg danger">
							<div class="msgIcon pull-left">
								<i class="fa fa-ban"></i>
							</div>
							<?php echo $accessErrorMsg; ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>