<?php
	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	// Add a New Task
	if (isset($_POST['submit']) && $_POST['submit'] == 'newTask') {
		// User Validations
		if($_POST['assignId'] == '...') {
			$msgBox = alertBox($selTaskUserReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskTitle'] == '') {
			$msgBox = alertBox($taskTitleReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskPriority'] == '') {
			$msgBox = alertBox($taskPriorityReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskStatus'] == '') {
			$msgBox = alertBox($taskStatusReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskDue'] == '') {
			$msgBox = alertBox($taskDueDateReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskDesc'] == '') {
			$msgBox = alertBox($taskDescReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$assignId = htmlspecialchars($_POST['assignId']);
			$taskTitle = htmlspecialchars($_POST['taskTitle']);
			$taskPriority = htmlspecialchars($_POST['taskPriority']);
			$taskStatus = htmlspecialchars($_POST['taskStatus']);
			$taskDue = htmlspecialchars($_POST['taskDue']);
			$taskDesc = htmlspecialchars($_POST['taskDesc']);

			$stmt = $mysqli->prepare("
								INSERT INTO
									tasks(
										userId,
										assignedTo,
										taskTitle,
										taskDesc,
										taskPriority,
										taskStatus,
										taskStart,
										taskDue,
										lastUpdated,
										ipAddress
									) VALUES (
										?,
										?,
										?,
										?,
										?,
										?,
										NOW(),
										?,
										NOW(),
										?
									)
			");
			$stmt->bind_param('ssssssss',
								$tz_userId,
								$assignId,
								$taskTitle,
								$taskDesc,
								$taskPriority,
								$taskStatus,
								$taskDue,
								$actIp
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '9';
			$activityTitle = $tz_userFull.' '.$newTaskAct.' "'.$taskTitle.'"';
			updateActivity($tz_userId,$activityType,$activityTitle);

			$msgBox = alertBox($newTaskMsg1." \"".$taskTitle."\" ".$newTaskMsg2, "<i class='fa fa-check-square'></i>", "success");

			// Clear the Form of values
			$_POST['taskTitle'] = $_POST['taskDesc'] = $_POST['taskPriority'] = $_POST['taskStatus'] = $_POST['taskDue'] = '';
		}
	}

	// Delete Task
	if (isset($_POST['submit']) && $_POST['submit'] == 'delete') {
		$deleteId = htmlspecialchars($_POST['deleteId']);
		$taskTitle = htmlspecialchars($_POST['taskTitle']);
		$assignedUser = htmlspecialchars($_POST['assignedUser']);

		$stmt = $mysqli->prepare("DELETE FROM tasks WHERE taskId = ?");
		$stmt->bind_param('s', $deleteId);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '9';
		$activityTitle = $tz_userFull.' '.$delTaskAct.' "'.$taskTitle.'" '.$forText.' '.$assignedUser;
		updateActivity($tz_userId,$activityType,$activityTitle);

		$msgBox = alertBox($delTaskMsg." \"".$taskTitle."\" ".$delEventMsg2, "<i class='fa fa-check-square'></i>", "success");

		// Clear the Form of values
		$_POST['taskTitle'] = '';
	}

	// Get Tasks
	if ($tz_superUser != '') {
		// Superuser - Get all Records
		$qry = "SELECT
					tasks.*,
					CONCAT(users.userFirst,' ',users.userLast) AS createdBy,
					(SELECT CONCAT(users.userFirst,' ',users.userLast) FROM users WHERE userId = tasks.assignedTo) AS assignedUser
				FROM
					tasks
					LEFT JOIN users ON tasks.userId = users.userId";
		$res = mysqli_query($mysqli, $qry) or die('-1' . mysqli_error());
	} else {
		// Manager - Get only Records created/assigned
		$qry = "SELECT
					tasks.*,
					CONCAT(users.userFirst,' ',users.userLast) AS createdBy,
					(SELECT CONCAT(users.userFirst,' ',users.userLast) FROM users WHERE userId = tasks.assignedTo) AS assignedUser
				FROM
					tasks
					LEFT JOIN users ON tasks.userId = users.userId
				WHERE tasks.userId = ".$tz_userId;
		$res = mysqli_query($mysqli, $qry) or die('-2' . mysqli_error());
	}

	$mngPage = 'true';
	$pageTitle = $mngTasksPageTitle;
	$addCss = '<link href="css/dataTables.css" rel="stylesheet"><link rel="stylesheet" type="text/css" href="css/datetimepicker.css" />';
	$dataTables = 'true';
	$datePicker = 'true';
	$jsFile = 'mngTasks';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php
						if ((checkArray('MNGTASKS', $auths)) || $tz_superUser != '') {
							if ($msgBox) { echo $msgBox; }
					?>
							<a href="#newTask" data-toggle="modal" class="btn btn-hover btn-success btn-xs btn-icon pull-right"><i class="fa fa-plus"></i><span><?php echo $newTaskBtn; ?></span></a>
							<div class="modal fade" id="newTask" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog modal-lg">
									<div class="modal-content">
										<div class="modal-header">
											<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
											<h4 class="modal-title"><?php echo $newTaskBtn; ?></h4>
										</div>
										<form action="" method="post">
											<div class="modal-body">
												<div class="row">
													<div class="col-md-5">
														<div class="form-group">
															<label for="assignId"><?php echo $assignTaskField; ?></label>
															<?php
																if ($tz_superUser != '') {
																	// Superuser - get all Active Employees
																	$usrqry = "SELECT userId, userFirst, userLast FROM users WHERE isActive = 1 AND userId != ".$tz_userId;
																	$usrres = mysqli_query($mysqli, $usrqry) or die('-3'.mysqli_error());
																} else {
																	// Manager - get only Users assigned
																	$usrqry = "SELECT userId, userFirst, userLast FROM users WHERE managerId = ".$tz_userId." AND isActive = 1 AND userId != ".$tz_userId;
																	$usrres = mysqli_query($mysqli, $usrqry) or die('-4'.mysqli_error());
																}
															?>
															<select class="form-control" name="assignId" id="assignId">
																<option value="..."><?php echo $selectOption; ?></option>
																<?php
																	while ($usr = mysqli_fetch_assoc($usrres)) {
																		echo '<option value="'.$usr['userId'].'">'.$usr['userFirst'].' '.$usr['userLast'].'</option>';
																	}
																?>
															</select>
															<span class="help-block"><?php echo $assignTaskFieldHelp; ?></span>
														</div>
													</div>
													<div class="col-md-7">
														<div class="form-group">
															<label for="taskTitle"><?php echo $taskTitleField; ?></label>
															<input type="text" class="form-control" name="taskTitle" id="taskTitle" required="required" maxlength="50" value="<?php echo isset($_POST['taskTitle']) ? $_POST['taskTitle'] : ''; ?>" />
															<span class="help-block"><?php echo $newTaskTitleFieldHelp; ?></span>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="col-md-4">
														<div class="form-group">
															<label for="taskPriority"><?php echo $priorityText; ?></label>
															<input type="text" class="form-control" name="taskPriority" id="taskPriority" required="required" value="<?php echo isset($_POST['taskPriority']) ? $_POST['taskPriority'] : ''; ?>" />
															<span class="help-block"><?php echo $priorityFieldHelp; ?></span>
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label for="taskStatus"><?php echo $statusText; ?></label>
															<input type="text" class="form-control" name="taskStatus" id="taskStatus" required="required" value="<?php echo isset($_POST['taskStatus']) ? $_POST['taskStatus'] : ''; ?>" />
															<span class="help-block"><?php echo $statusFieldHelp; ?></span>
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label for="taskDue"><?php echo $dueDateField; ?></label>
															<input type="text" class="form-control" name="taskDue" id="taskDue" required="required" value="<?php echo isset($_POST['taskDue']) ? $_POST['taskDue'] : ''; ?>" />
															<span class="help-block"><?php echo $dueDateFieldHelp; ?></span>
														</div>
													</div>
												</div>
												<div class="form-group">
													<label for="taskDesc"><?php echo $taskDescField; ?></label>
													<textarea class="form-control" name="taskDesc" id="taskDesc" required="required" rows="5"><?php echo isset($_POST['taskDesc']) ? $_POST['taskDesc'] : ''; ?></textarea>
												</div>
											</div>
											<div class="modal-footer">
												<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
												<button type="input" name="submit" value="newTask" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveBtn; ?></button>
											</div>
										</form>
									</div>
								</div>
							</div>

							<div class="clearfix"></div>
							<hr />

							<?php if(mysqli_num_rows($res) > 0) { ?>
								<table id="tasks" class="display" cellspacing="0" width="100%">
									<thead>
										<tr>
											<th><?php echo $taskTitleField; ?></th>
											<th class="text-center"><?php echo $createdByTh; ?></th>
											<th class="text-center"><?php echo $assignedToText; ?></th>
											<th class="text-center"><?php echo $priorityText; ?></th>
											<th class="text-center"><?php echo $dueText; ?></th>
											<th class="text-center"><?php echo $statusTh; ?></th>
											<th></th>
										</tr>
									</thead>

									<tbody>
										<?php
											while ($rows = mysqli_fetch_assoc($res)) {
												if ($rows['isClosed'] == '1') {
													$isClosed = '<strong class="text-danger">Closed<strong>';
												} else {
													$isClosed = '<strong class="text-success">Open<strong>';
												}
										?>
												<tr>
													<td>
														<a href="index.php?page=manageTask&taskId=<?php echo $rows['taskId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $mngTaskTooltip; ?>">
															<?php echo clean($rows['taskTitle']); ?>
														</a>
													</td>
													<td class="text-center"><?php echo clean($rows['createdBy']); ?></td>
													<td class="text-center"><?php echo clean($rows['assignedUser']); ?></td>
													<td class="text-center"><?php echo clean($rows['taskPriority']); ?></td>
													<td class="text-center"><?php echo shortMonthFormat($rows['taskDue']); ?></td>
													<td class="text-center"><?php echo $isClosed; ?></td>
													<td class="text-center">
														<a href="#delTask<?php echo $rows['taskId']; ?>" data-toggle="modal">
															<i class="fa fa-trash text-danger" data-toggle="tooltip" data-placement="left" title="<?php echo $delTaskTooltip; ?>"></i>
														</a>

														<div class="modal fade" id="delTask<?php echo $rows['taskId']; ?>" tabindex="-1" role="dialog" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<form action="" method="post">
																		<div class="modal-body">
																			<p class="lead mt-0"><?php echo $delTaskConf; ?> "<?php echo clean($rows['taskTitle']); ?>"?</p>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="deleteId" value="<?php echo $rows['taskId']; ?>" />
																			<input type="hidden" name="taskTitle" value="<?php echo clean($rows['taskTitle']); ?>" />
																			<input type="hidden" name="assignedUser" value="<?php echo clean($rows['assignedUser']); ?>" />
																			<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
																			<button type="input" name="submit" value="delete" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
																		</div>
																	</form>
																</div>
															</div>
														</div>
													</td>
												</tr>
										<?php } ?>
									</tbody>
								</table>
							<?php
								} else {
							?>
								<div class="alertMsg default">
									<div class="msgIcon pull-left">
										<i class="fa fa-check"></i>
									</div>
									<?php echo $noTasksFoundMsg; ?>
								</div>
							<?php } ?>

					<?php } else { ?>
						<div class="alertMsg danger">
							<div class="msgIcon pull-left">
								<i class="fa fa-ban"></i>
							</div>
							<?php echo $accessErrorMsg; ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>