<?php
	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	if ($set['enableTimeEdits'] == '1') {
		// Manual Time Entry
		if (isset($_POST['submit']) && $_POST['submit'] == 'timeEntry') {
			// User Validations
			if($_POST['manualReason'] == '') {
				$msgBox = alertBox($manTimeReasonReq, "<i class='fa fa-times-circle'></i>", "danger");
			} else if($_POST['entryDate'] == '') {
				$msgBox = alertBox($manTimeDateReq, "<i class='fa fa-times-circle'></i>", "danger");
			} else if($_POST['entryTimeIn'] == '') {
				$msgBox = alertBox($manTimeInReq, "<i class='fa fa-times-circle'></i>", "danger");
			} else {
				$manualReason = htmlspecialchars($_POST['manualReason']);
				$entryDate = htmlspecialchars($_POST['entryDate']);
				$entryTimeIn = htmlspecialchars($_POST['entryTimeIn']);

				if($_POST['entryTimeOut'] != '') {
					$entryTimeOut = htmlspecialchars($_POST['entryTimeOut']);
					$endTime = $entryDate.' '.$entryTimeOut.':00';
				} else {
					$endTime = '0000-00-00 00:00:00';
				}

				$theYear = date("Y", strtotime($entryDate));
				$theWeek = date("W", strtotime($entryDate));
				$startTime = $entryDate.' '.$entryTimeIn.':00';

				// Save the Manual Time Entry
				$stmt = $mysqli->prepare("
									INSERT INTO
										timelogs(
											userId,
											weekNo,
											clockYear,
											entryDate,
											startTime,
											endTime,
											entryType,
											lastUpdated,
											ipAddress
										) VALUES (
											?,
											?,
											?,
											?,
											?,
											?,
											0,
											NOW(),
											?
										)");
				$stmt->bind_param('sssssss',
					$tz_userId,
					$theWeek,
					$theYear,
					$entryDate,
					$startTime,
					$endTime,
					$actIp
				);
				$stmt->execute();
				$stmt->close();

				// Get the Time Log timeId#
				$te = "SELECT timeId
						FROM timelogs
						WHERE
							userId = ".$tz_userId." AND
							weekNo = '".$theWeek."' AND
							clockYear = '".$theYear."' AND
							entryDate = '".$entryDate."' AND
							startTime = '".$startTime."' AND
							endTime = '".$endTime."'
						LIMIT 1";
				$teres = mysqli_query($mysqli, $te) or die('-1'.mysqli_error());
				$terow = mysqli_fetch_assoc($teres);
				$timeId = $terow['timeId'];

				// Save the Manual Time Entry Reason
				$stmt = $mysqli->prepare("
									INSERT INTO
										timelogentries(
											timeId,
											userId,
											manualReason,
											lastUpdated,
											ipAddress
										) VALUES (
											?,
											?,
											?,
											NOW(),
											?
										)");
				$stmt->bind_param('ssss',
					$timeId,
					$tz_userId,
					$manualReason,
					$actIp
				);
				$stmt->execute();
				$stmt->close();

				$logDate = shortMonthFormat($entryDate);

				// Add Recent Activity
				$activityType = '14';
				$activityTitle = $tz_userFull.' '.$manTimeAct.' '.$logDate;
				updateActivity($tz_userId,$activityType,$activityTitle);

				$msgBox = alertBox($manTimeMsg." ".$logDate." ".$newEventMsg2, "<i class='fa fa-check-square'></i>", "success");
			}
		}
	}

	// Get a list of all the Years the User has records for
	$qry1 = "SELECT clockYear FROM timelogs WHERE userId = ".$tz_userId." GROUP BY clockYear ORDER BY clockYear DESC";
	$res1 = mysqli_query($mysqli, $qry1) or die('-2'.mysqli_error());
	$yrs = array();

	// Set each Year in an array
	while($year = mysqli_fetch_assoc($res1)) {
		$yrs[] = $year['clockYear'];
	}

	$acctPage = 'true';
	$pageTitle = $myTimePageTitle;
	$addCss = '<link rel="stylesheet" type="text/css" href="css/datetimepicker.css" />';
	$datePicker = 'true';
	$jsFile = 'myTime';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php if ($msgBox) { echo $msgBox; } ?>
					<h3 class="head-title mb-10"><?php echo $myTimeH3; ?></h3>

					<?php
						if ($set['enableTimeEdits'] == '1') {
					?>
							<a href="#timeEntry" data-toggle="modal" class="btn btn-hover btn-info btn-xs pull-right"><i class="fa fa-clock-o"></i><span><?php echo $manTimeEntryBtn; ?></span></a>
							<div class="modal fade" id="timeEntry" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog">
									<div class="modal-content">
										<div class="modal-header">
											<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times"></i></span></button>
											<h4 class="modal-title"><?php echo $manTimeEntryBtn; ?></h4>
										</div>
										<form action="" method="post">
											<div class="modal-body">
												<div class="form-group">
													<label for="manualReason"><?php echo $manTimeReasonField; ?></label>
													<input type="text" class="form-control" name="manualReason" id="manualReason" maxlength="50" required="required" value="" />
												</div>
												<div class="row">
													<div class="col-md-4">
														<div class="form-group">
															<label for="entryDate"><?php echo $manTimeEntryDateField; ?></label>
															<input type="text" class="form-control" name="entryDate" id="entryDate" required="required" value="" />
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
															<label for="entryTimeIn"><?php echo $manTimeInField; ?></label>
															<input type="text" class="form-control" name="entryTimeIn" id="entryTimeIn" required="required" value="" />
														</div>
													</div>
													<div class="col-md-4">
														<div class="form-group">
														<label for="entryTimeOut"><?php echo $manTimeOutField; ?></label>
														<input type="text" class="form-control" name="entryTimeOut" id="entryTimeOut" value="" />
													</div>
													</div>
												</div>
											</div>
											<div class="modal-footer">
												<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
												<button type="input" name="submit" value="timeEntry" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveBtn; ?></button>
											</div>
										</form>
									</div>
								</div>
							</div>
							<div class="clearfix mb-10"></div>
					<?php
						} else {
							echo '<div class="clearfix mt-20"></div>';
						}
						if (empty($yrs)) {
							echo '
									<div class="alertMsg default">
										<div class="msgIcon pull-left">
											<i class="fa fa-ban"></i>
										</div>
										'.$noTimeEntFoundMsg.'
									</div>
								';
						} else {
					?>
							<div class="tabbable tabs-left">
								<ul class="nav nav-tabs">
									<?php
										// Create the Year Tabs
										foreach ($yrs as $years) {
											// Set the Current Year Tab Button as Active
											if ($years == $currentYear) { $setActive = 'class="active"'; } else { $setActive = ''; }
									?>
											<li <?php echo $setActive; ?>><a href="#<?php echo $years; ?>" data-toggle="tab"><?php echo $years; ?></a></li>
									<?php
										}
									?>
								</ul>
								<div class="tab-content">
									<?php
										// Create the Tab Content
										foreach ($yrs as $year) {
											// Set the Current Year Tab as Active
											if ($year == $currentYear) { $inActive = 'active'; } else { $inActive = ''; }
									?>
											<div class="tab-pane <?php echo $inActive; ?>" id="<?php echo $year; ?>">
												<section id="card-lists">
													<?php
														// Get the Week Numbers
														$wks = "SELECT weekNo FROM timelogs WHERE userId = ".$tz_userId." AND clockYear = '".$year."' GROUP BY weekNo ORDER BY weekNo DESC";
														$wksres = mysqli_query($mysqli, $wks) or die('-3' . mysqli_error());

														// Set each year in an array
														$weeks = array();
														while($wk = mysqli_fetch_assoc($wksres)) {
															$weeks[] = $wk['weekNo'];
														}

														// If no records are found
														if (empty($weeks)) {
															echo '
																	<div class="alertMsg default">
																		<div class="msgIcon pull-left">
																			<i class="fa fa-ban"></i>
																		</div>
																		'.$noTimeEntFoundMsg.'
																	</div>
																';
														} else {
															// Loop through each Week
															foreach ($weeks as $weekNumber) {

																if ($set['weekStart'] == '0') {
																	$wkStartDay = date("Y-m-d", strtotime($year."W".$weekNumber."1"."-1 day"));
																	$wkEndDay = date("Y-m-d", strtotime($year."W".$weekNumber."7"."-1 day"));
																} else {
																	$wkStartDay = date("Y-m-d", strtotime($year."W".$weekNumber."1"));
																	$wkEndDay = date("Y-m-d", strtotime($year."W".$weekNumber."7"));
																}
																
																// Format the dates for display
																$firstDay = date('M j',strtotime($wkStartDay));
																$lastDay = date('M j',strtotime($wkEndDay));

																// Get Total hours for the given Week
																$totHr = "SELECT
																			TIMEDIFF(endTime,startTime) AS diff
																		FROM
																			timelogs
																		WHERE
																			userId = ".$tz_userId." AND
																			(entryDate BETWEEN '".$wkStartDay."' AND '".$wkEndDay."') AND
																			endTime != '00:00:00'";
																$totHrres = mysqli_query($mysqli, $totHr) or die('-4'.mysqli_error());
																$totHrs = array();

																// Create an array of Hours from the query
																while ($thrs = mysqli_fetch_assoc($totHrres)) {
																	$totHrs[] = $thrs['diff'];
																}

																// Total the Hours for the Week
																$totalWeekHours = sumHours($totHrs);
													?>
																<div class="card">
																	<ul class="time-detail">
																		<li>
																			<a href="index.php?page=timeDetail&year=<?php echo $year; ?>&week=<?php echo $weekNumber; ?>">
																				<h3 class="time-week"><?php echo $weekText; ?> <?php echo $weekNumber; ?></span></h3>
																				<span class="time-dates"><?php echo $firstDay; ?> <?php echo $throughText; ?> <?php echo $lastDay; ?></span><br />
																				<span class="time-hours"><?php echo $hoursText; ?>: <?php echo $totalWeekHours; ?></span>
																			</a>
																		</li>
																	</ul>
																</div>
													<?php

															}
														}
													?>
												</section>
											</div>
									<?php
										}
									?>
								</div>
							</div>
					<?php
						}
					?>

				</div>
			</div>
		</div>
	</div>