<?php
	// Logged in user's IP Address
	$actIp = $_SERVER['REMOTE_ADDR'];

	// Add a New Task
	if (isset($_POST['submit']) && $_POST['submit'] == 'newTask') {
		// User Validations
		if($_POST['taskTitle'] == '') {
			$msgBox = alertBox($taskTitleReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskPriority'] == '') {
			$msgBox = alertBox($taskPriorityReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskStatus'] == '') {
			$msgBox = alertBox($taskStatusReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskDue'] == '') {
			$msgBox = alertBox($taskDueDateReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else if($_POST['taskDesc'] == '') {
			$msgBox = alertBox($taskDescReq, "<i class='fa fa-times-circle'></i>", "danger");
		} else {
			$taskTitle = htmlspecialchars($_POST['taskTitle']);
			$taskPriority = htmlspecialchars($_POST['taskPriority']);
			$taskStatus = htmlspecialchars($_POST['taskStatus']);
			$taskDue = htmlspecialchars($_POST['taskDue']);
			$taskDesc = htmlspecialchars($_POST['taskDesc']);

			$stmt = $mysqli->prepare("
								INSERT INTO
									tasks(
										userId,
										assignedTo,
										taskTitle,
										taskDesc,
										taskPriority,
										taskStatus,
										taskStart,
										taskDue,
										lastUpdated,
										ipAddress
									) VALUES (
										?,
										?,
										?,
										?,
										?,
										?,
										NOW(),
										?,
										NOW(),
										?
									)
			");
			$stmt->bind_param('ssssssss',
								$tz_userId,
								$tz_userId,
								$taskTitle,
								$taskDesc,
								$taskPriority,
								$taskStatus,
								$taskDue,
								$actIp
			);
			$stmt->execute();
			$stmt->close();

			// Add Recent Activity
			$activityType = '9';
			$activityTitle = $tz_userFull.' '.$newTaskAct.' "'.$taskTitle.'"';
			updateActivity($tz_userId,$activityType,$activityTitle);

			if (isset($_POST['addCal']) && $_POST['addCal'] == '1') {
				$eventTitle = 'Task: '.$taskTitle;
				$eventColor = '#e88c39';

				$stmt = $mysqli->prepare("
									INSERT INTO
										events(
											userId,
											createdBy,
											isPublic,
											allDay,
											startDate,
											startTime,
											endDate,
											endTime,
											eventTitle,
											eventDesc,
											url,
											eventColor,
											lastUpdated,
											ipAddress
										) VALUES (
											?,
											?,
											0,
											1,
											?,
											NULL,
											?,
											NULL,
											?,
											?,
											NULL,
											?,
											NOW(),
											?
										)
				");
				$stmt->bind_param('ssssssss',
									$tz_userId,
									$tz_userId,
									$taskDue,
									$taskDue,
									$eventTitle,
									$taskDesc,
									$eventColor,
									$actIp
				);
				$stmt->execute();
				$stmt->close();
			}

			if (isset($_POST['addCal']) && $_POST['addCal'] == '1') {
				$msgBox = alertBox($newTaskMsg1." \"".$taskTitle."\" ".$newTaskSavedCalAddMsg, "<i class='fa fa-check-square'></i>", "success");
			} else {
				$msgBox = alertBox($newTaskMsg1." \"".$taskTitle."\" ".$newEventMsg2, "<i class='fa fa-check-square'></i>", "success");
			}

			// Clear the Form of values
			$_POST['taskTitle'] = $_POST['taskDesc'] = $_POST['taskPriority'] = $_POST['taskStatus'] = $_POST['taskDue'] = '';
		}
	}

	$taskPage = 'true';
	$pageTitle = $newTaskPageTitle;
	$addCss = '<link rel="stylesheet" type="text/css" href="css/datetimepicker.css" />';
	$datePicker = 'true';
	$jsFile = 'newTask';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php if ($msgBox) { echo $msgBox; } ?>

					<div class="tabbed-panel">
						<div class="tabbed-line">
							<ul class="nav nav-tabs ">
								<li><a href="index.php?page=openTasks"><?php echo $openTasksTab; ?></a></li>
								<li><a href="index.php?page=closedTasks"><?php echo $closedTasksTab; ?></a></li>
								<li class="active"><a href="#new"><?php echo $newTaskPageTitle; ?></a></li>
							</ul>
							<div class="tab-content">
								<div class="clearfix mt-20"></div>
								<h4 class="head-title mt-10 mb-20"><?php echo $createNewTaskH4; ?></h4>

								<form action="" method="post" class="mt-20">
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label for="taskTitle"><?php echo $taskTitleField; ?></label>
												<input type="text" class="form-control" name="taskTitle" id="taskTitle" required="required" maxlength="50" value="<?php echo isset($_POST['taskTitle']) ? $_POST['taskTitle'] : ''; ?>" />
												<span class="help-block"><?php echo $taskTitleFieldHelp; ?></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group mt-20" data-toggle="buttons">
												<label for="addCal" class="btn btn-default btn-sm toggle-checkbox primary mt-10">
													<i class="fa fa-fw"></i>
													<input name="addCal" id="addCal" type="checkbox" value="1" />
													<?php echo $saveToCalField; ?>
												</label>
												<span class="help-block"><?php echo $saveToCalFieldHelp; ?></span>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-4">
											<div class="form-group">
												<label for="taskPriority"><?php echo $priorityText; ?></label>
												<input type="text" class="form-control" name="taskPriority" id="taskPriority" required="required" value="<?php echo isset($_POST['taskPriority']) ? $_POST['taskPriority'] : ''; ?>" />
												<span class="help-block"><?php echo $priorityFieldHelp; ?></span>
											</div>
										</div>
										<div class="col-md-4">
											<div class="form-group">
												<label for="taskStatus"><?php echo $statusText; ?></label>
												<input type="text" class="form-control" name="taskStatus" id="taskStatus" required="required" value="<?php echo isset($_POST['taskStatus']) ? $_POST['taskStatus'] : ''; ?>" />
												<span class="help-block"><?php echo $statusFieldHelp; ?></span>
											</div>
										</div>
										<div class="col-md-4">
											<div class="form-group">
												<label for="taskDue"><?php echo $dueDateField; ?></label>
												<input type="text" class="form-control" name="taskDue" id="taskDue" required="required" value="<?php echo isset($_POST['taskDue']) ? $_POST['taskDue'] : ''; ?>" />
												<span class="help-block"><?php echo $dueDateFieldHelp; ?></span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="taskDesc"><?php echo $taskDescField; ?></label>
										<textarea class="form-control" name="taskDesc" id="taskDesc" required="required" rows="5"><?php echo isset($_POST['taskDesc']) ? $_POST['taskDesc'] : ''; ?></textarea>
									</div>

									<button type="input" name="submit" value="newTask" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $saveNewTaskBtn; ?></button>
								</form>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
	</div>