<?php
	// Delete Task
	if (isset($_POST['submit']) && $_POST['submit'] == 'delete') {
		$deleteId = htmlspecialchars($_POST['deleteId']);
		$taskTitle = htmlspecialchars($_POST['taskTitle']);

		$stmt = $mysqli->prepare("DELETE FROM tasks WHERE taskId = ?");
		$stmt->bind_param('s', $deleteId);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '9';
		$activityTitle = $tz_userFull.' '.$delTaskAct.' "'.$taskTitle.'"';
		updateActivity($tz_userId,$activityType,$activityTitle);

		$msgBox = alertBox($delTaskMsg1." \"".$taskTitle."\" ".$delTaskMsg2, "<i class='fa fa-check-square'></i>", "success");

		// Clear the Form of values
		$_POST['taskTitle'] = '';
	}

	// Get Open Tasks
	$sql = "SELECT
				tasks.*,
				CONCAT(users.userFirst,' ',users.userLast) AS createdBy
			FROM
				tasks
				LEFT JOIN users ON tasks.userId = users.userId
			WHERE
				tasks.assignedTo = ".$tz_userId." AND
				tasks.isClosed = 0";
	$result = mysqli_query($mysqli, $sql) or die('-1' . mysqli_error());

	$taskPage = 'true';
	$pageTitle = $openTasksPageTitl;
	$addCss = '<link href="css/dataTables.css" rel="stylesheet"><link rel="stylesheet" type="text/css" href="css/datetimepicker.css" />';
	$dataTables = 'true';
	$datePicker = 'true';
	$jsFile = 'tasks';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php if ($msgBox) { echo $msgBox; } ?>

					<div class="tabbed-panel">
						<div class="tabbed-line">
							<ul class="nav nav-tabs ">
								<li class="active"><a href="#open"><?php echo $openTasksTab; ?></a></li>
								<li><a href="index.php?page=closedTasks"><?php echo $closedTasksTab; ?></a></li>
								<li><a href="index.php?page=newTask"><?php echo $newTaskPageTitle; ?></a></li>
							</ul>
							<div class="tab-content">
								<div class="clearfix mt-20"></div>
								<h4 class="head-title mt-10 mb-20"><?php echo $openTasksH4; ?></h4>

								<?php if(mysqli_num_rows($result) > 0) { ?>
									<table id="open" class="display" cellspacing="0" width="100%">
										<thead>
											<tr>
												<th><?php echo $tasksTh; ?></th>
												<th class="text-center"><?php echo $priorityText; ?></th>
												<th class="text-center"><?php echo $statusTh; ?></th>
												<th class="text-center"><?php echo $createdByTh; ?></th>
												<th class="text-center"><?php echo $dateCreatedTh; ?></th>
												<th class="text-center"><?php echo $dueDateField; ?></th>
												<th class="text-center"><?php echo $lastUpdatedTh; ?></th>
												<th></th>
											</tr>
										</thead>

										<tbody>
											<?php while ($row = mysqli_fetch_assoc($result)) { ?>
												<tr>
													<td>
														<a href="index.php?page=viewTask&taskId=<?php echo $row['taskId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $viewtaskTooltip; ?>">
															<?php echo clean($row['taskTitle']); ?>
														</a>
													</td>
													<td class="text-center"><?php echo clean($row['taskPriority']); ?></td>
													<td class="text-center"><?php echo clean($row['taskStatus']); ?></td>
													<td class="text-center"><?php echo clean($row['createdBy']); ?></td>
													<td class="text-center"><?php echo dateFormat($row['taskStart']); ?></td>
													<td class="text-center"><?php echo dateFormat($row['taskDue']); ?></td>
													<td class="text-center"><?php echo dateFormat($row['lastUpdated']); ?></td>
													<td class="text-center">
														<a href="#delete<?php echo $row['taskId']; ?>" data-toggle="modal">
															<i class="fa fa-trash text-danger" data-toggle="tooltip" data-placement="left" title="<?php echo $delTaskTooltip; ?>"></i>
														</a>

														<div class="modal fade" id="delete<?php echo $row['taskId']; ?>" tabindex="-1" role="dialog" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<form action="" method="post">
																		<div class="modal-body">
																			<p class="lead mt-0"><?php echo $delTaskConf; ?> "<?php echo clean($row['taskTitle']); ?>"?</p>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="deleteId" value="<?php echo $row['taskId']; ?>" />
																			<input type="hidden" name="taskTitle" value="<?php echo clean($row['taskTitle']); ?>" />
																			<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
																			<button type="input" name="submit" value="delete" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
																		</div>
																	</form>
																</div>
															</div>
														</div>
													</td>
												</tr>
											<?php } ?>
										</tbody>
									</table>
								<?php
									} else {
								?>
									<div class="alertMsg default">
										<div class="msgIcon pull-left">
											<i class="fa fa-check"></i>
										</div>
										<?php echo $noOpenTasksFoundMsg; ?>
									</div>
								<?php } ?>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
	</div>