<?php
	$today = date('Y-m-d');
	$clockedIn = '';

	// Clock User Out
	if (isset($_POST['submit']) && $_POST['submit'] == 'clockOut') {
		$timeId = htmlspecialchars($_POST['timeId']);
		$usersName = htmlspecialchars($_POST['usersName']);

		$stmt = $mysqli->prepare("UPDATE timelogs SET endTime = NOW() WHERE timeId = ?");
		$stmt->bind_param('s',$timeId);
		$stmt->execute();
		$stmt->close();

		// Add Recent Activity
		$activityType = '5';
		$activityTitle = $tz_userFull.' '.$clockUserOutAct.' '.$usersName.' '.$outText;
		updateActivity($tz_userId,$activityType,$activityTitle);

		$msgBox = alertBox($clockUserOutMsg1." ".$usersName." ".$clockUserOutMsg2, "<i class='fa fa-check-square'></i>", "success");
    }

	// Get Clocked In Users
	$qry = "SELECT
				users.userId,
				CONCAT(users.userFirst,' ',users.userLast) AS usersName,
				timelogs.timeId,
				timelogs.entryDate,
				timelogs.startTime,
				timelogs.entryType
			FROM
				users
				LEFT JOIN timelogs ON users.userId = timelogs.userId
			WHERE
				timelogs.endTime = '0000-00-00 00:00:00' AND
				timelogs.entryDate = '".$today."' AND
				users.isActive = 1";
	$res = mysqli_query($mysqli, $qry) or die('-1' . mysqli_error());

	$userPage = 'true';
	$pageTitle = $userStatusPageTitle;
	$addCss = '<link href="css/dataTables.css" rel="stylesheet">';
	$dataTables = 'true';
	$jsFile = 'userStatus';

	include 'includes/header.php';
?>
	<div class="container-fluid">
		<div class="container">
			<div class="row pageCont">
				<div class="col-md-12 pb-20">
					<?php
						if ((checkArray('MNGUSR', $auths)) || $tz_superUser != '') {
							if ($msgBox) { echo $msgBox; }
					?>
							<div class="row">
								<div class="col-md-7">
									<h4 class="head-title mt-20 mb-20"><?php echo $usrsClockedInH4; ?></h4>
									<?php if(mysqli_num_rows($res) > 0) { ?>
										<table id="clockedIn" class="display" cellspacing="0" width="100%">
											<thead>
												<tr>
													<th><?php echo $usersNameTh; ?></th>
													<th class="text-center"><?php echo $manTimeEntryDateField; ?></th>
													<th class="text-center"><?php echo $manTimeInField; ?></th>
													<th class="text-center"><?php echo $typeTh; ?></th>
													<th></th>
												</tr>
											</thead>

											<tbody>
												<?php
													while ($row = mysqli_fetch_assoc($res)) {
														if ($row['entryType'] == '1') { $entryType = $capturedText; } else { $entryType = '<strong class="text-warning">'.$manualText.'<strong>'; }
														$clockedIn = $row['userId'];
												?>
														<tr>
															<td>
																<?php if ($row['userId'] != '1') { ?>
																	<a href="index.php?page=viewUser&userId=<?php echo $row['userId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $viewUserTooltip; ?>">
																		<?php echo clean($row['usersName']); ?>
																	</a>
																<?php } else { ?>
																	<strong><?php echo clean($row['usersName']); ?></strong>
																<?php } ?>
															</td>
															<td class="text-center"><?php echo dateFormat($row['entryDate']); ?></td>
															<td class="text-center"><?php echo dbTimeFormat($row['startTime']); ?></td>
															<td class="text-center"><?php echo $entryType; ?></td>
															<td class="text-right">
																<?php if ($row['userId'] != '1') { ?>
																	<a href="#clockOut<?php echo $row['userId']; ?>" data-toggle="modal">
																		<i class="fa fa-sign-out text-warning" data-toggle="tooltip" data-placement="left" title="<?php echo $clockUserOutTooltip; ?>"></i>
																	</a>

																	<div class="modal fade" id="clockOut<?php echo $row['userId']; ?>" tabindex="-1" role="dialog" aria-hidden="true">
																		<div class="modal-dialog">
																			<div class="modal-content">
																				<form action="" method="post">
																					<div class="modal-body">
																						<p class="lead mt-0"><?php echo clean($row['usersName']); ?> <?php echo $forgotClockOutConf; ?></p>
																					</div>
																					<div class="modal-footer">
																						<input type="hidden" name="timeId" value="<?php echo $row['timeId']; ?>" />
																						<input type="hidden" name="usersName" value="<?php echo clean($row['usersName']); ?>" />
																						<button type="button" class="btn btn-default btn-sm btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
																						<button type="input" name="submit" value="clockOut" class="btn btn-success btn-sm btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $clockUserOut; ?></button>
																					</div>
																				</form>
																			</div>
																		</div>
																	</div>
																<?php } else { ?>
																	<i class="fa fa-sign-out text-muted" data-toggle="tooltip" data-placement="left" title="<?php echo $disabledTooltip; ?>"></i>
																<?php } ?>
															</td>
														</tr>
												<?php } ?>
											</tbody>
										</table>
									<?php
										} else {
									?>
										<div class="alertMsg default">
											<div class="msgIcon pull-left">
												<i class="fa fa-check"></i>
											</div>
											<?php echo $noUsrsClockedInMsg; ?>
										</div>
									<?php } ?>
								</div>
								<div class="col-md-5">
									<h4 class="head-title mt-20 mb-20"><?php echo $usrsClockedOutH4; ?></h4>
									<?php
										// Check who is Clocked In
										$clkdin = "SELECT
													users.userId
												FROM
													users
													LEFT JOIN timelogs ON users.userId = timelogs.userId
												WHERE
													timelogs.endTime = '0000-00-00 00:00:00' AND
													users.isActive = 1";
										$clkdinres = mysqli_query($mysqli, $clkdin) or die('-2'.mysqli_error());
										$inIds = array();

										// Create an array of Users Clocked In to use in the Clocked Out Query
										while ($in = mysqli_fetch_assoc($clkdinres)) {
											$inIds[] = $in['userId'];
										}

										if (!empty($inIds)) {
											$theIds = join(",", $inIds);
										} else {
											$theIds = '0';
										}

										// Get Clocked Out Users
										$sql = "SELECT DISTINCT
													users.userId,
													CONCAT(users.userFirst,' ',users.userLast) AS usersName
												FROM
													users
													LEFT JOIN timelogs ON users.userId = timelogs.userId
												WHERE
													users.userId NOT IN (".$theIds.") AND
													users.isActive = 1";
										$result = mysqli_query($mysqli, $sql) or die('-3' . mysqli_error());

										if(mysqli_num_rows($result) > 0) {
									?>
										<table id="clockedOut" class="display" cellspacing="0" width="100%">
											<thead>
												<tr>
													<th><?php echo $usersNameTh; ?></th>
													<th class="text-center"><?php echo $totalHoursText; ?></th>
												</tr>
											</thead>

											<tbody>
												<?php
													while ($rows = mysqli_fetch_assoc($result)) {
														// Get Total hours for the given Week
														if ($set['weekStart'] == '0') {
															$wkStartDay = date("Y-m-d", strtotime($currentYear."W".$weekNo."1"."-1 day"));
															$wkEndDay = date("Y-m-d", strtotime($currentYear."W".$weekNo."7"."-1 day"));
														} else {
															$wkStartDay = date("Y-m-d", strtotime($currentYear."W".$weekNo."1"));
															$wkEndDay = date("Y-m-d", strtotime($currentYear."W".$weekNo."7"));
														}

														$totHr = "SELECT
																	TIMEDIFF(endTime,startTime) AS diff
																FROM
																	timelogs
																WHERE
																	userId = ".$rows['userId']." AND
																	(entryDate BETWEEN '".$wkStartDay."' AND '".$wkEndDay."') AND
																	endTime != '00:00:00'";
														$totHrres = mysqli_query($mysqli, $totHr) or die('-4'.mysqli_error());
														$totHrs = array();

														// Create an array of Hours from the query
														while ($thrs = mysqli_fetch_assoc($totHrres)) {
															$totHrs[] = $thrs['diff'];
														}

														// Total the Hours for the Week
														$totalWeekHours = sumHours($totHrs);
												?>
														<tr>
															<td>
																<?php if ($rows['userId'] != '1') { ?>
																	<a href="index.php?page=viewUser&userId=<?php echo $rows['userId']; ?>" data-toggle="tooltip" data-placement="right" title="<?php echo $viewUserTooltip; ?>">
																		<?php echo clean($rows['usersName']); ?>
																	</a>
																<?php } else { ?>
																	<strong><?php echo clean($rows['usersName']); ?></strong>
																<?php } ?>
															</td>
															<td class="text-center"><?php echo $totalWeekHours; ?></td>
														</tr>
												<?php } ?>
											</tbody>
										</table>
									<?php
										} else {
									?>
										<div class="alertMsg default">
											<div class="msgIcon pull-left">
												<i class="fa fa-check"></i>
											</div>
											<?php echo $noUsrsClockedOutMsg; ?>
										</div>
									<?php } ?>
								</div>
							</div>
					<?php } else { ?>
						<div class="alertMsg danger">
							<div class="msgIcon pull-left">
								<i class="fa fa-ban"></i>
							</div>
							<?php echo $accessErrorMsg; ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>