<?php
	ini_set('session.cookie_httponly', TRUE); 			// Helps mitigate xss
	ini_set('session.session.use_only_cookies', TRUE);	// Prevents session fixation
	ini_set('session.cookie_lifetime', FALSE);			// Smaller exploitation window for xss/csrf/clickjacking...
	ini_set('session.cookie_secure', TRUE);				// Owasp a9 violations

	// Start Sessions
	if(!isset($_SESSION))session_start();				// Session Start

	// Set Localization
	$local = $set['localization'];
	switch ($local) {
		case 'custom':	include ('language/custom.php');	break;
		case 'english':	include ('language/english.php');	break;
	}

	// Session Data
	if ((isset($_SESSION['tz']['userId'])) && ($_SESSION['tz']['userId'] != '')) {
		// Keep some User data available
		$tz_userId 		= $_SESSION['tz']['userId'];
		$tz_userEmail 	= $_SESSION['tz']['userEmail'];
		$tz_userFirst 	= $_SESSION['tz']['userFirst'];
		$tz_userLast 	= $_SESSION['tz']['userLast'];
		$tz_userFull 	= $_SESSION['tz']['userFirst'].' '.$_SESSION['tz']['userLast'];
		$tz_userLoc		= $_SESSION['tz']['location'];
		$tz_superUser	= $_SESSION['tz']['superUser'];
		$tz_isAdmin		= $_SESSION['tz']['isAdmin'];
	} else {
		$tz_userId = $tz_userEmail = $tz_userFirst = $tz_userLast = $tz_userFull = $tz_userLoc = $tz_superUser = $tz_isAdmin = '';
	}

	$msgBox = '';